global pathE "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\"
global path_s1 "$pathE\Proyectos\2019_EFH_SBIF\data_EFH\" 
global factor_op "factor_all"
global factor1 "factor_egm" //factor_egm  factor_all
local G2 = "ysize(5.4) xsize(9.2) imargin(0 0) graphregion(color(white) margin(vsmall))"
local G4 = "ysize(10.8) xsize(9.2) imargin(0 0 0 0) graphregion(color(white) margin(vsmall))"

local Ovs="universidad unemp_sect edad numh ln_ytot_p_h"
local Vben="deudor uses_checks Ben_L* Ben_Borronazo"
local Ovs2="EMPL_stat nr_rejected_loan_apps no_wish_for_debt no_access_debt niv_end over_ind"  //nr_loan_apps nr_loan_protests 
local dfvars "df_VPri df_VPri1M df_VSec df_VSec1M df_Vall df_V1Mall df1_dna df3_dna df_dna_k1 df_dna_k3 df_TB df_TCC"
use "${path_s1}\\CS_debts_EFHall3.dta", clear 
egen d_dna2=rowtotal(d_td1 d_td2 d_td3 d_td4 d_td5 d_td6 d_td7)
replace df_TB=. if d_td1==0 & d_td2==0
replace df_TB=. if d_td1==. & d_td2==.
replace df_TCC=. if d_td3==0
replace df_TCC=. if d_td3==.
save "$path_g\\CS_debts_EFHall3.dta", replace
keep folio_efh year_efh `Ovs' `Ovs2' `Vben' `dfvars' deudacon a_con factor_efh d_dna* mot* a1 constant
order *efh, first
egen df_cons = rowmax(df1_dna df3_dna df_dna_k1 df_dna_k3 df_TB df_TCC)
egen df_all = rowmax(df_cons df_Vall df_V1Mall)
replace nr_rejected_loan_apps = (nr_rejected_loan_apps>0 & nr_rejected_loan_apps<.) if nr_rejected_loan_apps<.
g p25_lnY=ln_ytot_p_h
g p50_lnY=ln_ytot_p_h
g p75_lnY=ln_ytot_p_h //replace deudor=0  replace deudor=1 if df_all<.
save "$path_g\\CS_debts_EFHall3red.dta", replace

// Other Tables
local Ovs="universidad unemp_sect edad numh ln_ytot_p_h"
local Vst="deudor uses_checks nr_rejected_loan_apps mot*"
use "${path_g}\\CS_debts_EFHall3red.dta", clear
keep if a1==1 & year_efh==2017 & df_cons<. & d_dna2>0 & d_dna2<.
collapse (p25) p25* (p50) p50* (p75) p75* (sum) constant (mean) `Ovs' `Vst' (median) a_c* if a1==1 [fw=factor_efh]
export excel using "$path_g\\ST_DemoMotPay_cons.xls", firstrow(variables) nolabel replace
use "${path_g}\\CS_debts_EFHall3red.dta", clear
keep if a1==1 & year_efh==2017 & df_Vall<.
collapse (p25) p25* (p50) p50* (p75) p75* (sum) constant (mean) `Ovs' `Vst' (median) a_c* if a1==1 [fw=factor_efh]
export excel using "$path_g\\ST_DemoMotPay_mort.xls", firstrow(variables) nolabel replace
use "${path_g}\\CS_debts_EFHall3red.dta", clear
keep if a1==1 & year_efh==2017 & df_Vall<. & df_cons<. & d_dna2>0 & d_dna2<.
collapse (p25) p25* (p50) p50* (p75) p75* (sum) constant (mean) `Ovs' `Vst' (median) a_c* if a1==1 [fw=factor_efh]
export excel using "$path_g\\ST_DemoMotPay_ConsMort.xls", firstrow(variables) nolabel replace
use "${path_g}\\CS_debts_EFHall3red.dta", clear
keep if a1==1 & year_efh==2017 & df_all<.
collapse (p25) p25* (p50) p50* (p75) p75* (sum) constant (mean) `Ovs' `Vst' (median) a_c* if a1==1 [fw=factor_efh]
export excel using "$path_g\\ST_DemoMotPay_all.xls", firstrow(variables) nolabel replace

//  1.1 - Descriptive Tables: Beneficiaries
use "${path_g}\\CS_debts_EFHall3red.dta", clear  //drop if year>=2008 & year<=2010
collapse (p25) p25* (p50) p50* (p75) p75* (sum) constant (mean) `Ovs' `Vben' if a1==1 [fw=factor_efh], by(deudacon)
sum constant 
replace constant=constant/r(sum)
export excel using "$path_g\\Ben_DT.xls", firstrow(variables) nolabel replace
//  1.2 - Descriptive Tables of Motives
use "${path_g}\\CS_debts_EFHall3red.dta", clear  //drop if year>=2008 & year<=2010
sum Ben*  //drop if deudacon>=6
collapse (sum) constant (mean) d_dna_UF mot* if a1==1 [fw=factor_efh], by(deudacon)
egen mot=rowtotal( mot*_con), missing
sum constant 
replace constant=constant/r(sum)
export excel using "$path_g\\Motives_DT.xls", firstrow(variables) nolabel replace
//  1.3 - Descriptive Tables of Default
use "${path_g}\\CS_debts_EFHall3red.dta", clear  //drop if year>=2008 & year<=2010
drop if deudacon>=6
order df1_dna df3_dna df_dna_k1 df_dna_k3 df_TB df_TCC, last
collapse df1_dna-df_TCC if a1==1 [fw=factor_efh], by(deudacon)
export excel using "$path_g\\DF_DT.xls", firstrow(variables) nolabel replace

// Tables of Riot-Covid
use "$path_g\\Riot_Covid_ST.dta", clear 
foreach var of varlist r_TincB r_ToTBcf r_TtaxMPR r_TotBall { // ytot_p_h ytotef yefec r_TincB r_ToTBcf r_TtaxMPR r_TotBinc r_TotBall
replace `var' = max(0,`var')
replace `var' = min(1,`var')
g p25_`var' = `var' 
g p50_`var' = `var' 
g p75_`var' = `var' 
}
collapse (mean) r_TincB r_ToTBcf r_TtaxMPR r_TotBall (p25) p25_* (p50) p50_* (p75) p75_* if year_efh==2017 & a1==1 [fw=factor_egm]
export excel using "$path_g\\TaxNonTax_all.xls", firstrow(variables) nolabel replace
use "$path_g\\Riot_Covid_ST.dta", clear 
foreach var of varlist r_ToTBcf r_TincB r_TtaxMPR { // ytot_p_h ytotef yefec
replace `var' = max(0,`var')
replace `var' = min(1,`var')
g p25_`var' = `var' 
g p50_`var' = `var' 
g p75_`var' = `var' 
}
collapse (mean) r_TincB r_ToTBcf r_TtaxMPR r_TotBall (p25) p25_* (p50) p50_* (p75) p75_* if year_efh==2017 & a1==1 [fw=factor_egm], by(estrato_h)
export excel using "$path_g\\TaxNonTax_Est.xls", firstrow(variables) nolabel replace

use "$path_g\\Riot_Covid_ST.dta", clear 
keep if year_efh==2017 & a1==1
g Deuda_BF = max(0,d_td1) + max(0,d_td2) + max(0,d_td5) //+ max(0,d_td6) 
g Deuda_noBF = max(0, max(0,d_dna)-max(0,Deuda_BF) )
g dummy_BF=(Deuda_BF>0 & Deuda_BF<.)
g dummy_noBF=(Deuda_noBF>0 & Deuda_noBF<.)
egen Deuda = rowtotal(Deuda_BF Deuda_noBF)
replace Deuda=. if Deuda==0
collapse (sum) Deuda* (mean) dummy_* [fw=factor_egm], by(estrato_h)
replace Deuda_BF=Deuda_BF/Deuda
replace Deuda_noBF=Deuda_noBF/Deuda
export excel using "$path_g\\DeudaDummyMonto_frNrTotal.xls", firstrow(variables) nolabel replace
// Tables of Riot-Covid
use "$path_g\\Riot_Covid_ST.dta", clear 
keep if year_efh==2017 & a1==1
g Deuda_BF = max(0,d_td1) + max(0,d_td2) + max(0,d_td5) //+ max(0,d_td6) 
g Deuda_noBF = max(0, max(0,d_dna)-max(0,Deuda_BF) )
g dummy_BF=(Deuda_BF>0 & Deuda_BF<.)
g dummy_noBF=(Deuda_noBF>0 & Deuda_noBF<.)
egen Deuda = rowtotal(Deuda_BF Deuda_noBF)
replace Deuda=. if Deuda==0
collapse (sum) Deuda* (mean) dummy_* [fw=factor_egm]  //, by(estrato_h)
replace Deuda_BF=Deuda_BF/Deuda
replace Deuda_noBF=Deuda_noBF/Deuda
export excel using "$path_g\\DeudaDummyMonto_frNrTotalAll.xls", firstrow(variables) nolabel replace

use "$path_g\\Riot_Covid_ST.dta", clear 
log using "$path_g\Mitigadores_summaryES.log", replace
sum a1 if year_efh==2017 & a1==1 [fw=factor_egm]
replace r_ToTBcf = 0 if r_ToTBcf==.
replace r_TotBinc = 0 if r_TotBinc==.
replace r_ToTBcf = min(1, r_ToTBcf) if r_ToTBcf<.
replace r_TotBinc = min(1, r_TotBinc) if r_TotBinc<.
sum r_TincB r_ToTBcf r_TtaxMPR r_TotBall if year_efh==2017 & a1==1 [fw=FI], d 
sum r_TincB r_ToTBcf r_TtaxMPR r_TotBall if year_efh==2017 & a1==1 [fw=factor_egm], d  // TotBinc ToTBcf
sum act_vp_BC act_otp_BC if year_efh==2017 & a1==1 [fw=factor_egm] 
forv k2=1/3 {
display("Estrato_h: `k2'")
sum a1 if year_efh==2017 & a1==1 & estrato_h==`k2' [fw=factor_egm]
sum r_TincB r_ToTBcf r_TtaxMPR r_TotBall if year_efh==2017 & a1==1 & estrato_h==`k2' [fw=factor_egm] , d //TotBinc ToTBcf 
sum act_vp_BC act_otp_BC if year_efh==2017 & a1==1 & estrato_h==`k2' [fw=factor_egm] 
}
log close
log using "$path_g\Mitigadores_summaryES2.log", replace
replace r_ToTBcf = . if r_ToTBcf==0
replace r_TotBinc = . if r_TotBinc==0
replace r_TotBinc = . if r_ToTBcf==.
sum a1 if year_efh==2017 & a1==1 [fw=factor_egm]
sum r_TincB r_ToTBcf r_TtaxMPR r_TotBall if year_efh==2017 & a1==1 [fw=factor_egm], d  // TotBinc ToTBcf
sum act_vp_BC act_otp_BC if year_efh==2017 & a1==1 [fw=factor_egm] 
forv k2=1/3 {
display("Estrato_h: `k2'")
sum a1 if year_efh==2017 & a1==1 & estrato_h==`k2' [fw=factor_egm]
sum r_TincB r_ToTBcf r_TtaxMPR r_TotBall if year_efh==2017 & a1==1 & estrato_h==`k2' [fw=factor_egm], d //TotBinc ToTBcf 
sum act_vp_BC act_otp_BC if year_efh==2017 & a1==1 & estrato_h==`k2' [fw=factor_egm] 
}
log close
use "$path_g\\Riot_Covid_ST.dta", clear 
g p50_rToTBcf = r_ToTBcf
g p50_rTotBinc = r_TotBinc
collapse Deudor_cf Deudor_cuotas r_TincB r_ToTBcf r_TtaxMPR r_TotBall (p50) p50_* if year_efh==2017 & a1==1 [fw=factor_egm]
export excel using "$path_g\\CFmeasures_all.xls", firstrow(variables) nolabel replace
use "$path_g\\Riot_Covid_ST.dta", clear 
g p50_rToTBcf = r_ToTBcf
g p50_rTotBinc = r_TotBinc
collapse Deudor_cf Deudor_cuotas r_TincB r_ToTBcf r_TtaxMPR r_TotBall (p50) p50_* if year_efh==2017 & a1==1  [fw=factor_egm], by(estrato_h)
export excel using "$path_g\\CFmeasures_allEst.xls", firstrow(variables) nolabel replace
use "$path_g\\Riot_Covid_ST.dta", clear 
sum TincB if year_efh==2017 & a1==1  [fw=factor_egm], d
local Tinc=r(sum)
sum ToTBcf if year_efh==2017 & a1==1  [fw=factor_egm], d
local Tcf=r(sum)
collapse (sum) ToTBcf TincB r_TincB r_ToTBcf r_TtaxMPR r_TotBall if year_efh==2017 & a1==1 [fw=factor_egm], by(estrato_h)
replace TincB=TincB/`Tinc'
replace ToTBcf=ToTBcf/`Tcf'
export excel using "$path_g\\CFtotal_allEst.xls", firstrow(variables) nolabel replace


use "$path_g\\Riot_Covid_ST.dta", clear  //use "$path_g\\Covid_ST.dta", clear  // 
sum ytot_p_h ${factor_op} factor_egm year_efh layo* if a1==1 // pr_lay* 
sum unem* jobf*  if a1==1  // pr_jobfind*
sum d_dt d_dna* d_vp d_otp d_tothip if a1==1 & year_efh>=2014
sum d_dt d_dna* d_vp d_otp d_tothip if a1==1 & year_efh<2014
replace d_otp = max(0, max(0,d_dt)-max(0,d_dna)-max(0,d_vp)) if a1==1 & year_efh<2014 & d_otp==.
replace d_tothip = max(0, d_vp, max(0,d_dt)-max(0,d_dna)) if a1==1 & year_efh<2014 & d_tothip==.
sum folio_efh year_efh
joinby folio_efh year_efh using "${path_g}\\CS_debts_EFHall3red.dta", unmatched(both) update
tab _merge
drop _merge p*_lnY
sum  d_dna_UF 
g d_dna_UF2 = d_dna/UFeyr 
g d_dt_UF = d_dt/UFeyr 
pwcorr d_dna_UF d_dna_UF2 if d_dna_UF<. & d_dna_UF2<. & d_dna_UF2>0 & d_dna_UF>0 & a1==1
sum rci* rda* ratio*
foreach vi of varlist rda debt_pi_ratio rci_pend_75 d_dna_UF d_dna_UF2 d_dt_UF { 
replace `vi' = . if `vi'<0.001
}
foreach vi of varlist rda debt_pi_ratio rci_pend_75 { 
replace `vi' = . if `vi'<0.001
g p25_`vi'=`vi'
g p50_`vi'=`vi'
g p75_`vi'=`vi'
}
pwcorr ${factor1} factor_efh factor_all
save "$path_g\\Riot_Covid_ST2.dta", replace

local Vst2 = "rda debt_pi_ratio rci_pend_75 d_dna_UF d_dna_UF2 d_dt_UF"
use "${path_g}\\Riot_Covid_ST2.dta", clear
sum constant if a1==1 & year_efh==2017 [fw=${factor1}]
local Pp=r(N)
keep if a1==1 & year_efh==2017 & d_dt<. & d_dt>0
collapse (sum) constant [fw=${factor1}], by(estrato_h)
replace constant=constant/`Pp'
export excel using "$path_g\\ST_DebtorPop_allEst.xls", firstrow(variables) nolabel replace
use "${path_g}\\Riot_Covid_ST2.dta", clear
keep if a1==1 & year_efh==2017 & df_all<.
collapse (p25) p25* (p50) p50* (p75) p75* (sum) constant (mean) `Ovs' `Vst' (median) a_c* if a1==1 [fw=${factor1}], by(estrato_h)
replace constant=constant/`Pp'
export excel using "$path_g\\ST_DemoMotPay_allEst.xls", firstrow(variables) nolabel replace
use "${path_g}\\Riot_Covid_ST2.dta", clear
keep if a1==1 & year_efh==2017 //& df_cons<. & d_dna2>0 & d_dna2<.
collapse  (sum) constant if a1==1 [fw=${factor1}], by(deudacon)
replace constant=constant/`Pp'
export excel using "$path_g\\ST_DebtType.xls", firstrow(variables) nolabel replace

use "${path_g}\\Riot_Covid_ST2.dta", clear
keep if a1==1 & year_efh==2017 & df_cons<. & d_dna2>0 & d_dna2<.
sum constant rda debt_pi_ratio rci_pend_75 d_dna_UF d_dna_UF2 d_dt_UF
collapse (p25) p25* (p50) p50* (p75) p75* (sum) constant (mean) `Vst2' if a1==1 [fw=${factor1}]
replace constant=constant/`Pp'
export excel using "$path_g\\ST_RDebt_cons.xls", firstrow(variables) nolabel replace
use "${path_g}\\Riot_Covid_ST2.dta", clear
keep if a1==1 & year_efh==2017 & df_Vall<.
collapse (p25) p25* (p50) p50* (p75) p75* (sum) constant (mean) `Vst2' if a1==1 [fw=${factor1}]
replace constant=constant/`Pp'
export excel using "$path_g\\ST_RDebt_mort.xls", firstrow(variables) nolabel replace
use "${path_g}\\Riot_Covid_ST2.dta", clear
keep if a1==1 & year_efh==2017 & df_Vall<. & df_cons<. & d_dna2>0 & d_dna2<.
collapse (p25) p25* (p50) p50* (p75) p75* (sum) constant (mean) `Vst2' if a1==1 [fw=${factor1}]
replace constant=constant/`Pp'
export excel using "$path_g\\ST_RDebt_ConsMort.xls", firstrow(variables) nolabel replace
use "${path_g}\\Riot_Covid_ST2.dta", clear
keep if a1==1 & year_efh==2017 & df_all<.
collapse (p25) p25* (p50) p50* (p75) p75* (sum) constant (mean) `Vst2' if a1==1 [fw=${factor1}]
replace constant=constant/`Pp'
export excel using "$path_g\\ST_RDebt_all.xls", firstrow(variables) nolabel replace
use "${path_g}\\Riot_Covid_ST2.dta", clear
keep if a1==1 & year_efh==2017 & df_all<.
collapse (p25) p25* (p50) p50* (p75) p75* (sum) constant (mean) `Vst2' if a1==1 [fw=${factor1}], by(estrato_h)
replace constant=constant/`Pp'
export excel using "$path_g\\ST_RDebt_allEst.xls", firstrow(variables) nolabel replace

// Graphs
use "$path_g\\Riot_Covid_ST.dta", clear  //use "$path_g\\Covid_ST.dta", clear  // 
sum ytot_p_h ${factor_op} factor_egm year_efh layo* if a1==1 // pr_lay* 
sum unem* jobf*  if a1==1  // pr_jobfind*
sum d_dt d_dna* d_vp d_otp d_tothip if a1==1 & year_efh>=2014
sum d_dt d_dna* d_vp d_otp d_tothip if a1==1 & year_efh<2014
replace d_otp = max(0, max(0,d_dt)-max(0,d_dna)-max(0,d_vp)) if a1==1 & year_efh<2014 & d_otp==.
replace d_tothip = max(0, d_vp, max(0,d_dt)-max(0,d_dna)) if a1==1 & year_efh<2014 & d_tothip==.

egen yind = rowmax( ytot_ind ytot_ind_pot ytot_ind2 ) //if desem<.
bysort folio_efh year_efh: egen yindH = total( yind )
g w_ki = yind/yindH 
sum year
local i0=r(min)
local i1=r(max)
forv i=`i0'/`i1' { 
quietly sum desem if year==`i' [fw=${factor_op}]
quietly replace desem_mean_y=r(mean) if year==`i'
}
forvalues i = 60(5)100 {  
quietly replace d_unemployed_`i'=d_unemployed_`i'*max(1, 1/(1-desem_mean_y) )
}
quietly g d_unemployed_115=(115/100)*d_unemployed_100*max(1, 1/(1-desem_mean_y) )
quietly g d_unemployed_115_WH=(115/100)*d_unemployed_100_WH
replace layoffs_Stress = min(0.50, layoffs_Stress) if layoffs_Stress<.
foreach i of numlist 60 70 85 90 95 115 135 155 { //  60 70 85 95 115  // 80 100
g UN_`i' = unemployed_60 + max(0,d_unemployed_`i') + max(0,layoffs_Stress)*0.375
replace UN_`i' = min(0.76, UN_`i') if UN_`i'<.
}
foreach i of numlist 155 135 115 95 90 85 70 60 { //  60 70 85 95 115  // 80 100
foreach i2 of numlist 135 115 95 90 85 70 60 { 
if `i2'<`i' {
replace UN_`i' = max( UN_`i', UN_`i2' )
replace pr_jobfind_`i' = min(pr_jobfind_`i', pr_jobfind_`i2', 0.95) if pr_jobfind_`i'<.
}
}
g var0 = UN_`i'*w_ki
bysort folio_efh year_efh: egen UNh_`i' = total(var0)
drop var0
g var0 = pr_jobfind_`i'*w_ki
bysort folio_efh year_efh: egen JOBFh_`i' = total(var0)
drop var0
}
//   //    //

sum UNh_115 if year_efh==2017 & a1==1, d
local Umax=r(p95)
local bw0=0.0115
local yxL = "ylab(0(2.5)12.5) ytic(0(1.25)12.5) xlab(0(0.05)0.20) xtic(0(0.025)0.225)"
twoway (kdensity UNh_60 if year_efh==2017 & a1==1 & UNh_60<=`Umax' [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity UNh_70 if year_efh==2017 & a1==1 & UNh_70<=`Umax'  [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity UNh_85 if year_efh==2017 & a1==1 & UNh_85<=`Umax'  [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity UNh_95 if year_efh==2017 & a1==1 & UNh_95<=`Umax'  [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity UNh_115 if year_efh==2017 & a1==1 & UNh_115<=`Umax'  [fw=${factor1}], bw(`bw0') `yxL' ) , ///
legend(label(1 "Base unemployment: 7.4%") label(2 "8.4%") label(3 "10%") label(4 "11%") label(5 "13%") region(lcolor(white)) rows(2)) ///
ytitle("PDF") xtitle("Unemployment risk (household weighted average)") saving("$path_g\graph1.gph", replace)
graph export "$path_g\ST_pdf_UNh.emf", replace

sum JOBFh_60 if year_efh==2017 & a1==1, d
local Umax=r(p95)
sum JOBFh_115 if year_efh==2017 & a1==1, d
local Umin=r(p5)
local bw0=0.0175
local yxL = "ylab(0(1)8) ytic(0(0.5)8) xlab(0.15(0.05)0.55) xtic(0.15(0.025)0.575)"
twoway (kdensity JOBFh_60 if year_efh==2017 & a1==1 & JOBFh_60<=`Umax' & JOBFh_60>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity JOBFh_70 if year_efh==2017 & a1==1 & JOBFh_70<=`Umax' & JOBFh_70>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity JOBFh_85 if year_efh==2017 & a1==1 & JOBFh_85<=`Umax' & JOBFh_85>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity JOBFh_95 if year_efh==2017 & a1==1 & JOBFh_95<=`Umax' & JOBFh_95>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity JOBFh_115 if year_efh==2017 & a1==1 & JOBFh_115<=`Umax' & JOBFh_115>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' ) , ///
legend(label(1 "Base unemployment: 7.4%") label(2 "8.4%") label(3 "10%") label(4 "11%") label(5 "13%") region(lcolor(white)) rows(2)) ///
ytitle("PDF") xtitle("Job finding probability (household weighted average)") saving("$path_g\graph2.gph", replace)
graph export "$path_g\ST_pdf_JOBFh.emf", replace

graph combine "$path_g\graph1.gph" "$path_g\graph2.gph", `G2'
graph export "$path_g\ST_pdf_UNh_JOBFh.emf", replace

sum UNh_135 if year_efh==2017 & a1==1, d
local Umax=r(p95)
local bw0=0.0115
local yxL = "ylab(0(2.5)12.5) ytic(0(1.25)12.5) xlab(0(0.05)0.20) xtic(0(0.025)0.225)"
twoway (kdensity UNh_60 if year_efh==2017 & a1==1 & UNh_60<=`Umax' [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity UNh_70 if year_efh==2017 & a1==1 & UNh_70<=`Umax'  [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity UNh_85 if year_efh==2017 & a1==1 & UNh_85<=`Umax'  [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity UNh_95 if year_efh==2017 & a1==1 & UNh_95<=`Umax'  [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity UNh_115 if year_efh==2017 & a1==1 & UNh_115<=`Umax'  [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity UNh_135 if year_efh==2017 & a1==1 & UNh_135<=`Umax'  [fw=${factor1}], bw(`bw0') `yxL' ) , ///
legend(label(1 "Base unemployment: 7.8%") label(2 "8.5%") label(3 "10%") label(4 "11%") label(5 "13%") label(6 "15%") region(lcolor(white)) rows(2)) ///
ytitle("PDF") xtitle("Unemployment risk (household weighted average)") saving("$path_g\graph1.gph", replace)
graph export "$path_g\ST_pdf_UNh2.emf", replace

sum JOBFh_60 if year_efh==2017 & a1==1, d
local Umax=r(p95)
sum JOBFh_135 if year_efh==2017 & a1==1, d
local Umin=r(p5)
local bw0=0.0175
local yxL = "ylab(0(1)9) ytic(0(0.5)9.5) xlab(0.15(0.05)0.55) xtic(0.15(0.025)0.575)"
twoway (kdensity JOBFh_60 if year_efh==2017 & a1==1 & JOBFh_60<=`Umax' & JOBFh_60>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity JOBFh_70 if year_efh==2017 & a1==1 & JOBFh_70<=`Umax' & JOBFh_70>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity JOBFh_85 if year_efh==2017 & a1==1 & JOBFh_85<=`Umax' & JOBFh_85>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity JOBFh_95 if year_efh==2017 & a1==1 & JOBFh_95<=`Umax' & JOBFh_95>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity JOBFh_115 if year_efh==2017 & a1==1 & JOBFh_115<=`Umax' & JOBFh_115>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' )  ///
(kdensity JOBFh_135 if year_efh==2017 & a1==1 & JOBFh_135<=`Umax' & JOBFh_135>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' ) , ///
legend(label(1 "Base unemployment: 7.8%") label(2 "8.5%") label(3 "10%") label(4 "11%") label(5 "13%") label(6 "15%") region(lcolor(white)) rows(2)) ///
ytitle("PDF") xtitle("Job finding probability (household weighted average)") saving("$path_g\graph2.gph", replace)
graph export "$path_g\ST_pdf_JOBFh2.emf", replace

graph combine "$path_g\graph1.gph" "$path_g\graph2.gph", `G2'
graph export "$path_g\ST_pdf_UNh_JOBFh2.emf", replace

sum UNh_135 if year_efh==2017 & a1==1, d
local Umax=r(p95)
local bw0=0.0115
local yxL = "ylab(0(2.5)12.5) ytic(0(1.25)12.5) xlab(0(0.05)0.20) xtic(0(0.025)0.225)"
twoway (kdensity UNh_60 if year_efh==2017 & a1==1 & UNh_60<=`Umax' [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity UNh_70 if year_efh==2017 & a1==1 & UNh_70<=`Umax'  [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity UNh_85 if year_efh==2017 & a1==1 & UNh_85<=`Umax'  [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity UNh_95 if year_efh==2017 & a1==1 & UNh_95<=`Umax'  [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity UNh_115 if year_efh==2017 & a1==1 & UNh_115<=`Umax'  [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity UNh_135 if year_efh==2017 & a1==1 & UNh_135<=`Umax'  [fw=${factor1}], bw(`bw0') `yxL' ) , ///
legend(label(1 "7.8%") label(2 "8.5%") label(3 "10%") label(4 "11%") label(5 "13%") label(6 "15%") region(lcolor(white)) rows(2)) ///
ytitle("PDF") xtitle("Riesgo de desempleo (promedio ponderado del hogar)") saving("$path_g\graph1.gph", replace)

sum JOBFh_60 if year_efh==2017 & a1==1, d
local Umax=r(p95)
sum JOBFh_135 if year_efh==2017 & a1==1, d
local Umin=r(p5)
local bw0=0.0175
local yxL = "ylab(0(1)9) ytic(0(0.5)9.5) xlab(0.15(0.05)0.55) xtic(0.15(0.025)0.575)"
twoway (kdensity JOBFh_60 if year_efh==2017 & a1==1 & JOBFh_60<=`Umax' & JOBFh_60>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity JOBFh_70 if year_efh==2017 & a1==1 & JOBFh_70<=`Umax' & JOBFh_70>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity JOBFh_85 if year_efh==2017 & a1==1 & JOBFh_85<=`Umax' & JOBFh_85>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity JOBFh_95 if year_efh==2017 & a1==1 & JOBFh_95<=`Umax' & JOBFh_95>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity JOBFh_115 if year_efh==2017 & a1==1 & JOBFh_115<=`Umax' & JOBFh_115>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' )  ///
(kdensity JOBFh_135 if year_efh==2017 & a1==1 & JOBFh_135<=`Umax' & JOBFh_135>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' ) , ///
legend(label(1 "Desempleo: 7.8%") label(2 "8.5%") label(3 "10%") label(4 "11%") label(5 "13%") label(6 "15%") region(lcolor(white)) rows(2)) ///
ytitle("PDF") xtitle("Tasa desempleo a empleo (promedio ponderado del hogar)") saving("$path_g\graph2.gph", replace)

graph combine "$path_g\graph1.gph" "$path_g\graph2.gph", `G2'
graph export "$path_g\ST_pdf_UNh_JOBFh2_esp.emf", replace
graph export "$path_g\ST_pdf_UNh_JOBFh2_esp.png", replace

sum UNh_135 if year_efh==2017 & a1==1, d
local Umax=r(p95)
local bw0=0.0115
local yxL = "ylab(0(2.5)12.5) ytic(0(1.25)12.5) xlab(0(0.05)0.20) xtic(0(0.025)0.225)"
twoway (kdensity UNh_60 if year_efh==2017 & a1==1 & UNh_60<=`Umax' [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity UNh_95 if year_efh==2017 & a1==1 & UNh_95<=`Umax'  [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity UNh_135 if year_efh==2017 & a1==1 & UNh_135<=`Umax'  [fw=${factor1}], bw(`bw0') `yxL' ) , ///
legend(label(1 "7.8%") label(2 "11%") label(3 "15%") region(lcolor(white)) rows(2)) ///
ytitle("PDF") xtitle("Riesgo de desempleo (promedio ponderado del hogar)") saving("$path_g\graph1.gph", replace)
sum JOBFh_60 if year_efh==2017 & a1==1, d
local Umax=r(p95)
sum JOBFh_135 if year_efh==2017 & a1==1, d
local Umin=r(p5)
local bw0=0.0175
local yxL = "ylab(0(1)9) ytic(0(0.5)9.5) xlab(0.15(0.05)0.55) xtic(0.15(0.025)0.575)"
twoway (kdensity JOBFh_60 if year_efh==2017 & a1==1 & JOBFh_60<=`Umax' & JOBFh_60>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity JOBFh_95 if year_efh==2017 & a1==1 & JOBFh_95<=`Umax' & JOBFh_95>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity JOBFh_135 if year_efh==2017 & a1==1 & JOBFh_135<=`Umax' & JOBFh_135>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' ) , ///
legend(label(1 "Desempleo: 7.8%") label(2 "11%") label(3 "15%") region(lcolor(white)) rows(2)) ///
ytitle("PDF") xtitle("Tasa desempleo a empleo (promedio ponderado del hogar)") saving("$path_g\graph2.gph", replace)
graph combine "$path_g\graph1.gph" "$path_g\graph2.gph", `G2'
graph export "$path_g\ST_pdf_UNh_JOBFh1_esp.emf", replace
graph export "$path_g\ST_pdf_UNh_JOBFh1_esp.png", replace
sum UNh_135 if year_efh==2017 & a1==1, d
local Umax=r(p95)
local bw0=0.0115
local yxL = "ylab(0(2.5)12.5) ytic(0(1.25)12.5) xlab(0(0.05)0.20) xtic(0(0.025)0.225)"
twoway (kdensity UNh_60 if year_efh==2017 & a1==1 & UNh_60<=`Umax' [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity UNh_90 if year_efh==2017 & a1==1 & UNh_90<=`Umax'  [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity UNh_135 if year_efh==2017 & a1==1 & UNh_135<=`Umax'  [fw=${factor1}], bw(`bw0') `yxL' ) , ///
legend(label(1 "7.8%") label(2 "11%") label(3 "15%") region(lcolor(white)) rows(2)) ///
ytitle("PDF") xtitle("Riesgo de desempleo (promedio ponderado del hogar)") saving("$path_g\graph1.gph", replace)
sum JOBFh_60 if year_efh==2017 & a1==1, d
local Umax=r(p95)
sum JOBFh_135 if year_efh==2017 & a1==1, d
local Umin=r(p5)
local bw0=0.0175
local yxL = "ylab(0(1)9) ytic(0(0.5)9.5) xlab(0.15(0.05)0.55) xtic(0.15(0.025)0.575)"
twoway (kdensity JOBFh_60 if year_efh==2017 & a1==1 & JOBFh_60<=`Umax' & JOBFh_60>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity JOBFh_95 if year_efh==2017 & a1==1 & JOBFh_95<=`Umax' & JOBFh_95>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' ) ///
(kdensity JOBFh_135 if year_efh==2017 & a1==1 & JOBFh_135<=`Umax' & JOBFh_135>=`Umin' [fw=${factor1}], bw(`bw0') `yxL' ) , ///
legend(label(1 "Desempleo: 7.8%") label(2 "11%") label(3 "15%") region(lcolor(white)) rows(2)) ///
ytitle("PDF") xtitle("Tasa desempleo a empleo (promedio ponderado del hogar)") saving("$path_g\graph2.gph", replace)
graph combine "$path_g\graph1.gph" "$path_g\graph2.gph", `G2'
graph export "$path_g\ST_pdf_UNh_JOBFh0_esp.emf", replace
graph export "$path_g\ST_pdf_UNh_JOBFh0_esp.png", replace

/*sum UN_115 if year_efh==2017 & a1==1, d
local Umax=r(p95)
twoway (kdensity UN_60 if year_efh==2017 & UN_60<=`Umax' [fw=${factor1}], bw(`bw0') ) ///
(kdensity UN_70 if year_efh==2017 & UN_70<=`Umax' [fw=${factor1}], bw(`bw0') ) ///
(kdensity UN_85 if year_efh==2017 & UN_85<=`Umax' [fw=${factor1}], bw(`bw0') ) ///
(kdensity UN_95 if year_efh==2017 & UN_95<=`Umax' [fw=${factor1}], bw(`bw0') ) ///
(kdensity UN_115 if year_efh==2017 & UN_115<=`Umax' [fw=${factor1}], bw(`bw0') ) , ///
legend(label(1 "Baseline") label(2 "8.4%") label(3 "10%") label(4 "11%") label(5 "13%") region(lcolor(white)) rows(2)) ///
ytitle("Pdf") xtitle("Unemployment risk (workers)") //title("Riesgo de desempleo de las familias en Gran Santiago")*/

use "$path_g\\Riot_Covid_ST.dta", clear
capture drop *_original adj adj2 layoffs_Stress actividad_Stress
