pr def BS_Var_Pinc_UnR_DPIR
    args bsn
	
quietly { // To obtain random simulations of the standard-deviation of the wage use:  g simu_SD = sqrt( (VAR_ln_wage/(Nemp-1))*rchi2(1) )
local vl_e0 "constant"
local vl_e1 "sexo zona2 tr_edad2 educ quintile_renta"
local vl_e2 "sexo zona2 sector_ind tr_edad2 educ quintile_renta"
local vl_e3 "sexo zona2 actividad tr_edad educ quintile_renta"
local vl_e4 "sexo zona2 quintile_renta"
local vl2_e0 "constant"    // variable i represents var_list above
local vl2_e1 "sexo sector_ind"
local vl2_e2 "sexo zona2 sector_ind tr_edad2 educ"
local vl2_e3 "sexo zona2 actividad tr_edad educ"
local vl2_e4 "sexo zona2 tr_edad2 educ"
local vl2_e5 "sexo zona2 tr_edad2"

/*  g ytot_p = rr_inc*ytot_ind*pr_unemployed`k' if ocup==1     // yai ytot_p ytot_p_h ytot_ind ytot_ind2
replace ytot_p = ytot_p + ( ytot_ind*(1-pr_unemployed`k') ) if ocup==1
replace ytot_p = ytot_p + (ytot_ind*pr_unemployed`k' ) if ocup==0
replace ytot_p = ytot_ind if ocup==. | ytot_p==. */

g bs_rep = `bsn'     //g quarter=4
foreach i of numlist 2 1 4 {  // In alternative - 3 2 4 1 5 0
capture drop _merge 
local var_list = "`vl_e`i''"
joinby bs_rep `var_list' using "$path2b\BS_VAR_WageShock_x`i'.dta", unmatched(master) update  
tab _merge
drop _merge
joinby bs_rep `var_list' using "$path2b\BS_RepR_x`i'.dta", unmatched(master) update  
tab _merge
drop _merge
joinby year quarter `vl2_e`i'' using "$path2b\Vene_x`i'.dta", unmatched(master) update  // "$path2b\SE_RepR_`reg_type'_x`i'_yr.dta"
tab _merge
drop _merge
}  // sum sh_inc unemp_sect unemployed yai ytot_ind ytot_ind_or jobfind jobfind_v pr_layoffs_60
foreach x of varlist VAR_ln_wage RRinc Nemp_ENE SE_unemployed SE_layoffs SE_duration_unem SE_layoffs {   // SE_ratio_temp_eps
reg `x' i.(`var_list')
predict VVest, xb
sum `x', d  
replace `x'=min( r(p99), max(r(p1),VVest) ) if `x'==.  
replace `x'=min( r(p99), max(r(p1),`x') ) if `x'<.
capture drop VVest 
}     //drop quarter
replace SE_unemployed=min(SE_unemployed, sqrt(unemployed*(1-unemployed)/Nemp_ENE) )
g pr_unemployed = max(0, min(1, unemployed+SE_unemployed*rnormal())) if unemployed>0 & unemployed<.
g pr_unemp_w0 = pr_unemployed*sh_inc 
bysort folio_efh year_efh: egen pr_unemp_w = total(pr_unemp_w0)
replace SE_unemployed=SE_unemployed*sh_inc
bysort folio_efh year_efh: egen SE_unemp_sect = mean(SE_unemployed)
g unemp_eps = unemp_sect_original + SE_unemp_sect*rnormal()
replace unemp_eps = unemp_sect_original if unemp_eps==.
g adjU = (pr_unemp_w*aux_layoffs)/unemp_sect_original
g adjeps = unemp_eps/unemp_sect_original
g abs1 = abs(1-adjU)
g abs2 = abs(1-adjeps)
replace adjU = adjeps if abs1>abs2
replace adjU=1 if adjU==.
replace unemp_sect=max(0, min(1, unemp_sect_original*adjU)) if unemp_sect_original<.

g ytot_p = RRinc*ytot_ind*pr_unemployed if ocup==1     // yai ytot_p ytot_p_h ytot_ind ytot_ind2
replace ytot_p = ytot_p + ( ytot_ind*(1-pr_unemployed) ) if ocup==1
replace ytot_p = ytot_p + (ytot_ind*pr_unemployed ) if ocup==0
replace ytot_p = ytot_ind if ocup==. | ytot_p==.
bysort folio_efh year_efh: egen ytot_p_h2 = total(ytot_p)
replace ytot_p_h2 = max(0,ytot_p_h2)+max(0,yai)+max(0,yaotp)+max(0,yact)
g adj = ytot_p_h/ytot_p_h2 
replace adj=1 if adj==.
replace debt_pi_ratio = min(2, debt_pi_ratio_original*adj) if debt_pi_ratio<. 
drop VAR_ln_wage-SE_duration_un_mean ytot_p pr_unemployed-adjU ytot_p_h2 adj
} //g pr_unemp_w0 = unemployed*sh_inc   //bysort folio: egen pr_unemp_w = total(pr_unemp_w0)

end
