use "$path_g\\${data_save}_dtbc3.dta", clear  // Being Weights
egen min_Dall=rowtotal(min_dvp min_dTBTCC min_dna)  // Weights for each debt type: Total Debt
replace min_Dall=max(0,min_Dall,d_dt) if min_Dall==0  |  min_Dall==.
g dT=(dfTB_u50<. | dfTCC_u50<. | df3_u50<. | dfK3_u50<. | df3V<.) if a1==1 //(df_TB<. | df_dna_k3<. | df3V<.) if a1==1
g dC=(dfTB_u50<. | dfTCC_u50<. | df3_u50<. | dfK3_u50<.) if a1==1 //(df_TB<. | df_dna_k3<.) if a1==1
g w_dvp=max(0, min_dvp/min_Dall) if a1==1 & dT==1
g w_dTBTCC=max(0, min_dTBTCC/min_Dall) if a1==1 & dT==1
g w_dna=max(0, min_dna/min_Dall) if a1==1 & dT==1
replace w_dTBTCC= min(1, max(d_TBTCC/d_dt,w_dTBTCC) ) if a1==1 & dfTB_u50>df3_u50 & dfTB_u50<. & dT==1
replace w_dTBTCC= min(1, max(d_TBTCC/d_dt,w_dTBTCC) ) if a1==1 & dfTCC_u50>df3_u50 & dfTCC_u50<. & dT==1
replace w_dTBTCC= min(1, max(d_TBTCC/d_dt,w_dTBTCC) ) if a1==1 & df3_u50==. & dT==1
replace w_dna= max(0, min(1, 1-w_dTBTCC, max(d_dna/d_dt, w_dna) )) if a1==1 & df3_u50>df3V_u50 & df3_u50<. & dT==1
replace w_dna= max(0, min(1, 1-w_dTBTCC, max(d_dna/d_dt, w_dna) )) if a1==1 & df3V_u50==. & dT==1
replace w_dvp= max(0, 1-w_dTBTCC-w_dna) if a1==1 & dT==1    // End weights: Total Debt
g d_dC=max(0,d_dna)+max(0,d_TBTCC)
egen min_DC=rowtotal(min_dTBTCC min_dna)  // Weights for each debt type: Consumer Debt
replace min_DC=max(0,min_DC) if min_DC==0 | min_DC==.
g wC_dTBTCC=max(0, min_dTBTCC/min_DC) if a1==1 & dC==1
g wC_dna=max(0, min_dna/min_DC) if a1==1 & dC==1
replace wC_dTBTCC= min(1, max(d_TBTCC/d_dC,wC_dTBTCC) ) if a1==1 & dfTB_u50>df3_u50 & dfTB_u50<. & dC==1
replace wC_dTBTCC= min(1, max(d_TBTCC/d_dC,wC_dTBTCC) ) if a1==1 & dfTCC_u50>df3_u50 & dfTCC_u50<. & dC==1
replace wC_dTBTCC= min(1, max(d_TBTCC/d_dC,wC_dTBTCC) ) if a1==1 & df3_u50==. & dC==1
replace wC_dna= max(0, min(1, 1-wC_dTBTCC) ) if a1==1  & dC==1 // End weights: Consumer Debt
g dKT=(dfTB_u50<. | dfK3_u50<. | df3V<.) if a1==1 //(df_TB<. | df_dna_k3<. | df3V<.) if a1==1
g dKC=(dfTB_u50<. | dfK3_u50<.) if a1==1 //(df_TB<. | df_dna_k3<.) if a1==1
g wK_dTBTCC=max(0, min_dTBTCC/min_Dall) if a1==1  & dKT==1 // Weights for Banking Total Debt
replace wK_dTBTCC= min(1, max(d_TBTCC/d_dt,wK_dTBTCC) ) if a1==1 & dfTB_u50>dfK3_u50 & dfTB_u50<. & dKT==1
replace wK_dTBTCC= min(1, max(d_TBTCC/d_dt,wK_dTBTCC) ) if a1==1 & dfK3_u50==. & dKT==1
replace wK_dTBTCC= 0 if a1==1 & dfTB_u50==. & dKT==1
g wK_dna=max(0, min_dna/min_Dall) if a1==1 & dKT==1
replace wK_dna= max(0, min(1, 1-wK_dTBTCC, max(d_dna/d_dt, wK_dna) )) if a1==1 & dfK3_u50>df3V_u50 & dfK3_u50<. & dKT==1
replace wK_dna= max(0, min(1, 1-wK_dTBTCC, max(d_dna/d_dt, wK_dna) )) if a1==1 & df3V_u50==. & dKT==1
replace wK_dna= 0 if a1==1 & dfK3_u50==. & dKT==1
g wK_dvp= max(0, 1-wK_dTBTCC-wK_dna) if a1==1  & dKT==1  // End weights: Banking Total Debt
g wKC_dTBTCC=max(0, min_dTBTCC/min_DC) if a1==1 & dKC==1  // Weights for Banking Consumer Debt
replace wKC_dTBTCC= min(1, max(d_TBTCC/d_dC,wKC_dTBTCC) ) if a1==1 & dfTB_u50>dfK3_u50 & dfTB_u50<. & dKC==1 
replace wKC_dTBTCC= min(1, max(d_TBTCC/d_dC,wKC_dTBTCC) ) if a1==1 & dfK3_u50==. & dKC==1 
replace wKC_dTBTCC= 0 if a1==1 & dfTB_u50==. & dKC==1 
g wKC_dna=max(0, 1-wKC_dTBTCC) if a1==1 & dKC==1    // End weights: Banking Consumer Debt
save "$path_g\\${data_save}_dtbc3.dta", replace   // End Weights
