local G2 = "ysize(5.4) xsize(9.2) imargin(0 0) graphregion(color(white) margin(vsmall))"
local G4 = "ysize(10.8) xsize(9.2) imargin(0 0 0 0) graphregion(color(white) margin(vsmall))"

// 2.0 Total employment and hours worked
local dfVars = "hor_efe hor_hab"  // hor_hab hor_efe employed
local dfVars0 = "hor_efe"  // hor_hab hor_efe employed
local varA = "actividad"  // tr_edad2 actividad sector_ind  
local N1 "Usual work hours"
local N2 "Hours worked"
local N3 "Employment"
local var_list0 = ""
local var_list "`var_list0' `varA'" // tr_edad2 actividad sector_ind zona2 tr_edad parentesco
use "$path2\eneCS_all.dta", clear
xtset IDworker date
drop if edad<=15
drop if edad>=65  
drop if actividad==0 | actividad==. 
drop if year==2019 & mes_encuesta<=8
keep if Labor_Force==1   //recode actividad 1/2=1 3/4=3 
collapse (sum) hor* [fw=factor_esi], by (year mes_encuesta `var_list')
g date = ym(year,mes_encuesta) 
format %tm date
quietly {
foreach df of local dfVars { 
g var0 = `df' if date==716
bysort `var_list': egen var00 = mean(var0)
replace `df' = 100*(`df'/var00)  //ln(`df'/var00)  // 100*(`df'/var00)  //
drop var0 var00
}
}
replace hor_efe=min(hor_efe, hor_hab)
drop hor_hab
reshape wide hor_efe, i(year mes_encuesta date `var_list0') j(`varA')   

egen IDg=group(`var_list0')
xtset IDg date
foreach df of local dfVars0 {  
label var `df'1 "Agriculture" //"Agriculture, Silviculture, Fishing"  //"1=Agricultura, Caza y Pesca   2=Minas y Canteras 
label var `df'2 "Mining"          //3=Industrias Manufactureras   4=Electricidad Gas y Agua    5=Construcción 
label var `df'3 "Manufacturing"   //6=Comercio   7=Transporte, Almacenamiento y Comunicaciones 
label var `df'4 "Energy"  //"Electricity, Gas and Water"   // 8=Bancos y Financieras   9=Servicios Comunales, Sociales y Personales  
label var `df'5 "Construction"
label var `df'6 "Retail"
label var `df'7 "Transports, Lodging, ICT"
label var `df'8 "Banks and finance"
label var `df'9 "Services"  //"Public administration, Education, Services"*
}
local k=1
foreach df of local dfVars0 {  // subtitle("`N`k''") inside by option  // ylabel(-0.2(0.1)0.4) ytick(-0.2(0.05)0.4) 
tsline `df'*, note("") ytick(40(10)140) xtitle("") xlabel(716 722 727 730) xtick(716(1)731) legend(cols(3) symx(5) symy(2)) saving(graph0`k', replace)
local k=1+`k'
}
clear

// 2.0 Total employment and hours worked
local varA = ""  // tr_edad2 actividad sector_ind  
local var_list0 = "sexo"
local var_list "`var_list0' `varA'" // tr_edad2 actividad sector_ind zona2 tr_edad parentesco
use "$path2\eneCS_all.dta", clear
xtset IDworker date
drop if edad<=15
drop if edad>=65  
drop if actividad==0 | actividad==. 
drop if year==2019 & mes_encuesta<=8
keep if Labor_Force==1
collapse (sum) hor* [fw=factor_esi], by (year mes_encuesta `var_list')
g educ=4
save "$path2\data_temp.dta", replace

local varA = "educ"  // tr_edad2 actividad sector_ind  
local var_list0 = "sexo"
local var_list "`var_list0' `varA'" // tr_edad2 actividad sector_ind zona2 tr_edad parentesco
use "$path2\eneCS_all.dta", clear
xtset IDworker date
drop if edad<=15
drop if edad>=65  
drop if actividad==0 | actividad==. 
drop if year==2019 & mes_encuesta<=8
keep if Labor_Force==1
collapse (sum) hor* [fw=factor_esi], by (year mes_encuesta `var_list')
joinby year mes_encuesta `var_list' using "$path2\data_temp.dta", unmatched(both) update
tab _merge
drop _merge
g date = ym(year,mes_encuesta) 
format %tm date
quietly {
foreach df of local dfVars { 
g var0 = `df' if date==716
bysort `var_list': egen var00 = mean(var0)
replace `df' = 100*(`df'/var00) // ln(`df'/var00)  // 100*(`df'/var00) 
drop var0 var00
}
}
replace hor_efe=min(hor_efe, hor_hab)
drop hor_hab
reshape wide hor_efe, i(year mes_encuesta date `var_list0') j(`varA')   

egen IDg=group(`var_list0')
xtset IDg date
foreach df of local dfVars0 {  
label var `df'1 "Secondary or less" 
label var `df'2 "Technical"          
label var `df'3 "College or more"
label var `df'4 "All"
}
local N1 "Usual work hours"
local N2 "Hours worked"
local N3 "Employment"
local k=1
foreach df of local dfVars0 { 
tsline `df'*, by(sexo, note("")) ylabel(60(20)140) ytick(50(10)150) xtitle("") xlabel(716 722 727) xtick(716(1)731) legend(cols(4) symx(5) symy(2)) saving(graph1`k', replace)
local k=1+`k'
}
graph combine graph01.gph graph11.gph, rows(2) `G4'   //  graph3.gph rows(3)
graph export "$path_g\\Hours_TSeducSector.emf", replace 
