local varA = "actividad"  // tr_edad2 actividad sector_ind  
local var_list0 = "sexo educ"
local var_list "`var_list0' `varA'" // tr_edad2 actividad sector_ind zona2 tr_edad parentesco

// 2.0 Total employment and hours worked
use "$path2\eneCS_all.dta", clear
drop if edad<=15
drop if edad>=65  
drop if actividad==0 | actividad==. 
keep if Labor_Force==1
tab sexo if employed==1 & year==2019 & mes_e<=9 [fw=factor_esi]
tab sexo if year==2019 & mes_e<=9 [fw=factor_esi]
sum hor_efe if employed==1 & year==2019 & mes_e<=9 [fw=factor_esi]
local a0=r(N)*r(mean)
sum hor_efe if employed==1 & year==2019 & mes_e<=9 & sexo==1 [fw=factor_esi]
local a1=r(N)*r(mean)
sum hor_efe if employed==1 & year==2019 & mes_e<=9 & sexo==2 [fw=factor_esi]
local a2=r(N)*r(mean)
local Ar=`a2'/`a0'
display("Share of female work: `Ar'")
drop if year==2019 & mes_encuesta<=8
tab employed unemployed
recode actividad 1/2=1 3/4=3 
tab actividad

local dfVars = "hor_hab hor_efe employed"
collapse (sum) `dfVars' [fw=factor_esi], by (year mes_encuesta `var_list')
g date = ym(year,mes_encuesta) 
format %tm date
quietly {
foreach df of local dfVars { 
g var0 = `df' if date==716
bysort `var_list': egen var00 = mean(var0)
replace `df' = 100*(`df'/var00)  //100*ln(`df'/var00)
drop var0 var00
}
}
drop if date==716
egen IDg=group(`var_list')
xtset IDg date 
sum hor*, d
pwcorr hor* employed
replace hor_efe=min(hor_efe, hor_hab)
drop hor_hab year mes_encuesta
pwcorr hor* employed
sum hor* employed, d
reshape wide hor_efe employed, i(`var_list0' `varA') j(date)   
order `var_list0' `varA' hor_efe* employed*, first
save "$path2\data_temp.dta", replace
forv ed=1/3 { 
use "$path2\data_temp.dta", clear
keep if educ==`ed'
drop educ
export excel using "$path_g\\Hemp_educ`ed'.xlsx", firstrow(variables) replace //nolabel
}
//   //   //

local var_list0 = "sexo"
local var_list "`var_list0' `varA'" 
use "$path2\eneCS_all.dta", clear
drop if edad<=15
drop if edad>=65  
drop if actividad==0 | actividad==. 
drop if year==2019 & mes_encuesta<=8
keep if Labor_Force==1
tab employed unemployed
recode actividad 1/2=1 3/4=3 
tab actividad
local dfVars = "hor_hab hor_efe employed"
collapse (sum) `dfVars' [fw=factor_esi], by (year mes_encuesta `var_list')
g date = ym(year,mes_encuesta) 
format %tm date
quietly {
foreach df of local dfVars { 
g var0 = `df' if date==716
bysort `var_list': egen var00 = mean(var0)
replace `df' = 100*(`df'/var00)   // 100*ln(`df'/var00)
drop var0 var00
}
}
drop if date==716
egen IDg=group(`var_list')
xtset IDg date 
sum hor*, d
pwcorr hor* employed
replace hor_efe=min(hor_efe, hor_hab)
drop hor_hab year mes_encuesta
pwcorr hor* employed
sum hor* employed, d
reshape wide hor_efe employed, i(`var_list0' `varA') j(date)   
order `var_list0' `varA' hor_efe* employed*, first
save "$path2\data_temp.dta", replace
export excel using "$path_g\\Hemp_All.xlsx", firstrow(variables) replace //nolabel

local var_list0 = ""
local var_list "`var_list0' `varA'" 
use "$path2\eneCS_all.dta", clear
drop if edad<=15
drop if edad>=65  
drop if actividad==0 | actividad==. 
drop if year==2019 & mes_encuesta<=8
keep if Labor_Force==1
tab employed unemployed
recode actividad 1/2=1 3/4=3 
tab actividad
local dfVars = "hor_hab hor_efe employed"
collapse (sum) `dfVars' [fw=factor_esi], by (year mes_encuesta `var_list')
g date = ym(year,mes_encuesta) 
format %tm date
quietly {
foreach df of local dfVars { 
g var0 = `df' if date==716
bysort `var_list': egen var00 = mean(var0)
replace `df' = 100*(`df'/var00)   // 100*ln(`df'/var00)
drop var0 var00
}
}
drop if date==716
egen IDg=group(`var_list')
xtset IDg date 
sum hor*, d
pwcorr hor* employed
replace hor_efe=min(hor_efe, hor_hab)
drop hor_hab year mes_encuesta
pwcorr hor* employed
sum hor* employed, d
reshape wide hor_efe employed, i(`var_list0' `varA') j(date)   
order `var_list0' `varA' hor_efe* employed*, first
save "$path2\data_temp.dta", replace
export excel using "$path_g\\Hemp_AllBsexes.xlsx", firstrow(variables) replace //nolabel

local varA = "educ"
local var_list0 = ""
local var_list "`var_list0' `varA'" 
use "$path2\eneCS_all.dta", clear
drop if edad<=15
drop if edad>=65  
drop if actividad==0 | actividad==. 
drop if year==2019 & mes_encuesta<=8
keep if Labor_Force==1
tab employed unemployed
recode actividad 1/2=1 3/4=3 
tab actividad
local dfVars = "hor_hab hor_efe employed"
collapse (sum) `dfVars' [fw=factor_esi], by (year mes_encuesta `var_list')
g date = ym(year,mes_encuesta) 
format %tm date
quietly {
foreach df of local dfVars { 
g var0 = `df' if date==716
bysort `var_list': egen var00 = mean(var0)
replace `df' = 100*(`df'/var00)   // 100*ln(`df'/var00)
drop var0 var00
}
}
drop if date==716
egen IDg=group(`var_list')
xtset IDg date 
sum hor*, d
pwcorr hor* employed
replace hor_efe=min(hor_efe, hor_hab)
drop hor_hab year mes_encuesta
pwcorr hor* employed
sum hor* employed, d
reshape wide hor_efe employed, i(`var_list0' `varA') j(date)   
order `var_list0' `varA' hor_efe* employed*, first
save "$path2\data_temp.dta", replace
export excel using "$path_g\\Hemp_EducBsexes.xlsx", firstrow(variables) replace //nolabel

local varA = "educ"
local var_list0 = "actividad"
local var_list "`var_list0' `varA'" 
use "$path2\eneCS_all.dta", clear
drop if edad<=15
drop if edad>=65  
drop if actividad==0 | actividad==. 
drop if year==2019 & mes_encuesta<=8
keep if Labor_Force==1
tab employed unemployed
recode actividad 1/2=1 3/4=3 
tab actividad
local dfVars = "hor_hab hor_efe employed"
collapse (sum) `dfVars' [fw=factor_esi], by (year mes_encuesta `var_list')
g date = ym(year,mes_encuesta) 
format %tm date
quietly {
foreach df of local dfVars { 
g var0 = `df' if date==716
bysort `var_list': egen var00 = mean(var0)
replace `df' = 100*(`df'/var00)   // 100*ln(`df'/var00)
drop var0 var00
}
}
drop if date==716
egen IDg=group(`var_list')
xtset IDg date 
sum hor*, d
pwcorr hor* employed
replace hor_efe=min(hor_efe, hor_hab)
drop hor_hab year mes_encuesta
pwcorr hor* employed
sum hor* employed, d
reshape wide hor_efe employed, i(`var_list0' `varA') j(date)   
order `var_list0' `varA' hor_efe* employed*, first
sort educ actividad
save "$path2\data_temp.dta", replace
export excel using "$path_g\\Hemp_ActEducBsexes.xlsx", firstrow(variables) replace //nolabel

local varA = ""  
local var_list0 = "sexo"
local var_list "`var_list0' `varA'" 
use "$path2\eneCS_all.dta", clear
drop if edad<=15
drop if edad>=65  
drop if actividad==0 | actividad==. 
drop if year==2019 & mes_encuesta<=8
keep if Labor_Force==1
tab employed unemployed
recode actividad 1/2=1 3/4=3 
tab actividad
local dfVars = "hor_hab hor_efe employed"
collapse (sum) `dfVars' [fw=factor_esi], by (year mes_encuesta `var_list')
g date = ym(year,mes_encuesta) 
format %tm date
quietly {
foreach df of local dfVars { 
g var0 = `df' if date==716
bysort `var_list': egen var00 = mean(var0)
replace `df' = 100*(`df'/var00)   // 100*ln(`df'/var00)
drop var0 var00
}
}
drop if date==716
egen IDg=group(`var_list')
xtset IDg date 
sum hor*, d
pwcorr hor* employed
replace hor_efe=min(hor_efe, hor_hab)
drop hor_hab year mes_encuesta
pwcorr hor* employed
sum hor* employed, d
reshape wide hor_efe employed, i(`var_list0' `varA') j(date)   
order `var_list0' `varA' hor_efe* employed*, first
save "$path2\data_temp.dta", replace
export excel using "$path_g\\Hemp_Allecon.xlsx", firstrow(variables) replace //nolabel

local varA = ""  
local var_list0 = ""
local var_list "`var_list0' `varA'" 
use "$path2\eneCS_all.dta", clear
drop if edad<=15
drop if edad>=65  
drop if actividad==0 | actividad==. 
drop if year==2019 & mes_encuesta<=8
keep if Labor_Force==1
tab employed unemployed
recode actividad 1/2=1 3/4=3 
tab actividad
local dfVars = "hor_hab hor_efe employed"
collapse (sum) `dfVars' [fw=factor_esi], by (year mes_encuesta `var_list')
g date = ym(year,mes_encuesta) 
format %tm date
quietly {
foreach df of local dfVars { 
g var0 = `df' if date==716
egen var00 = mean(var0)
replace `df' = 100*(`df'/var00)   // 100*ln(`df'/var00)
drop var0 var00
}
}
drop if date==716
sum hor*, d
pwcorr hor* employed
replace hor_efe=min(hor_efe, hor_hab)
drop hor_hab year mes_encuesta
pwcorr hor* employed
sum hor* employed, d
g i=1
reshape wide hor_efe employed, i(i) j(date)   
order `var_list0' `varA' hor_efe* employed*, first
save "$path2\data_temp.dta", replace
export excel using "$path_g\\Hemp_AlleconBsexes.xlsx", firstrow(variables) replace //nolabel

local varA = ""  
local var_list0 = "sexo educ"
local var_list "`var_list0' `varA'" 
use "$path2\eneCS_all.dta", clear
drop if edad<=15
drop if edad>=65  
drop if actividad==0 | actividad==. 
drop if year==2019 & mes_encuesta<=8
keep if Labor_Force==1
tab employed unemployed
recode actividad 1/2=1 3/4=3 
tab actividad
local dfVars = "hor_hab hor_efe employed"
collapse (sum) `dfVars' [fw=factor_esi], by (year mes_encuesta `var_list')
g date = ym(year,mes_encuesta) 
format %tm date
quietly {
foreach df of local dfVars { 
g var0 = `df' if date==716
bysort `var_list': egen var00 = mean(var0)
replace `df' = 100*(`df'/var00)   // 100*ln(`df'/var00)
drop var0 var00
}
}
drop if date==716
sum hor*, d
pwcorr hor* employed
replace hor_efe=min(hor_efe, hor_hab)
drop hor_hab year mes_encuesta
pwcorr hor* employed
sum hor* employed, d
g i=1
reshape wide hor_efe employed, i(sexo educ) j(date)   
order `var_list0' `varA' hor_efe* employed*, first
save "$path2\data_temp.dta", replace
export excel using "$path_g\\Hemp_sexoEduc.xlsx", firstrow(variables) replace //nolabel
