set more off
global path "D:\DAT\DPF\Analisis Financiero\Sector Hogares\Encuestas\EPF\2006_2007"

global path0 "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\Proyectos\2010_Household Risk\household_risk"
global pathdo2 "$path0\empleo"
global path4 "$path0\empleo\bases"
global path4b "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\Proyectos\2010_Household Risk\simulation_time"
global path_bs_do "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\Proyectos\2010_Household Risk"
global path2b "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\Proyectos\2010_Household Risk\household_risk\empleo\bases"
global factor_op "factor"

*use "N:\DPF\GIF\Encuestas\Otros\Encuestas\EPF\2006_2007\EPF_2007.dta", clear
use "N:\DPF\GIF\Encuestas\Otros\Encuestas\EPF\2016_2017\BASE_PERSONAS_VIII_EPF.dta" ,clear

tab  PARENTESCO
g factor_all=ceil(FE)
*bysort hogar: egen ytoth = total( ingreso_total)
gen ytoth=ING_DISP_HOG_HD_AI
sum ytoth if ytoth>0
replace ytoth = r(min) if ytoth==.
replace ytoth = r(min) if ytoth<=0.00001

xtile quintile_h = ytoth [fw=ceil(factor_all)], nq(5)
*tab quintile_h quintil_ing
*pwcorr gasto_tot gasto_durable gasto_no_durable  quintil_ing ingreso_total ytoth ingresoreal arriendo_imputado [fw=ceil(factor_expansion_anual)]
*sum gasto_tot gasto_durable gasto_no_durable  quintil_ing ingreso_total ytoth ingresoreal arriendo_imputado [fw=ceil(factor_expansion_anual)]
*pwcorr quintil_ing quintile_h

tab  ZONA [fw=ceil( factor_all)]

*qui {
* Por integrantes
*bysort hogar: egen numh=count(hogar)
gen numh=NPERSONAS
recode numh (7/.=7)

g aux_edad =  (EDAD>=0 & EDAD<=17)  
g aux_edad1=  (EDAD>17 & EDAD<=65)
g aux_edad2 = (EDAD>65)

bysort FOLIO: egen num_men=sum(aux_edad)
recode num_men (3/.=3) // use 3 or 4 as upper bound
bysort FOLIO: egen num_adult=sum(aux_edad1)
recode num_adult (4/.=4) // use 4 or 5 as upper bound
bysort FOLIO: egen num_sen=sum(aux_edad2)
recode num_sen (1/.=1) // use 1 or 2 as upper bound

* Por región
g region=1 if ZONA==2
replace region=2 if ZONA==1

* Por edad
g tr_edad=0
replace tr_edad=1 if EDAD>17 & EDAD<=34
replace tr_edad=2 if EDAD>35 & EDAD<=44
replace tr_edad=3 if EDAD>45 & EDAD<=54
replace tr_edad=4 if EDAD>55 & EDAD<=64
replace tr_edad=5 if EDAD>=65

g tr_edad2=tr_edad
recode tr_edad2 (1/2=1) (3/4=2) (5=3)

* Home ownership
g vivprop = (TVP==1 | TVP==2)
*recode vivprop 2/.=0

* por educación
* Tramos de educación
replace EDUE=. if EDUE==-88
g educ = EDUE
recode educ (1/7 = 1) (8/10 = 2) (11/14 = 3) (15/99 = 4)
bysort region vivprop num_adul num_men tr_edad quintile_h: egen educ_mode = mode(educ), minmode
replace educ = educ_mode if educ==.

*keep if  numero_persona==1

g factor=ceil(FE)

di "Consumo Total"
*}
//
foreach x of varlist tr_edad tr_edad2 educ num_adul num_men num_sen numh {
tabstat GASTOT_HD [fw=factor], by(`x') stat (n mean q)
}

//
*di "Consumo no durable"
*foreach x of varlist tr_edad tr_edad2 educ num_adul num_men num_sen numh region {
*tabstat gasto_no_durable [fw=factor], by(`x') stat (n mean q)
*}
//

// Collapse dataset
gen zona2=region
recode zona2 1=2 2=1
rename educ educ_yr

g tedu = educ_yr
local cond_vars "zona2 vivprop num_adul num_men num_sen tedu tr_edad2 quintile_h"
g pco1 = PARENTESCO
g z = 1
sum

// Bootstrap using segmentos as strata
egen segmento = group(zona2 factor)
egen segmento2 = group(zona2 factor)
bysort FOLIO: egen segmento_mode = mean(segmento)
replace segmento = segmento_mode if segmento==.
drop segmento_mode
bysort FOLIO: egen segmento_mode = mean(segmento2)
replace segmento2 = segmento_mode if segmento==.
drop segmento_mode
sum seg*
if ${esi_bt_op}==1 {  // Bootstrap the sample
egen id_gr = group(factor)
bsample, strata(id_gr) 
drop id_gr
}
save "$path4b\expenditures_${data_save_emp}.dta", replace

do "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\Proyectos\2010_Household Risk\dynamic_vars\epf_pincome.do"
do "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\Proyectos\2010_Household Risk\dynamic_vars\epf_equivalence_c.do"
