program drop _all
clear
clear matrix
clear mata
drop _all
capture log close
set more off

local G2 = "ysize(5.4) xsize(9.2) imargin(0 0) graphregion(color(white) margin(vsmall))"
local G4 = "ysize(10.8) xsize(9.2) imargin(0 0 0 0) graphregion(color(white) margin(vsmall))"
global path_do "C:\Docs2\EFH_CDI\Covid_research\WD\CJE\"
global path_t "$path_do\tables\"
global path_d "$path_do\data\"
global path_g "$path_do\graphs\"

clear
import excel "$path_d\\imacec_desestacionalizado_vs0.xls", sheet("ExportCuadro") firstrow
drop E
rename Periodo date_day  
format %td date_day
g year=year(date_day)
g month=month(date_day)
g day=day(date_day)
drop date_day day
g date_month=ym(year,month)
format %tm date_month
drop if year<2019
drop if year==2019 & month<8  //drop if year==2021 % month>=2
tsset date_month
label var date_month "Month"
quietly  {
foreach var of varlist Imacec Imacecminero Imacecnominero {  
sum `var' if year==2019 & month==8
local r1=r(min)
g ln_`var'=ln(`var'/`r1')
}
}
label var ln_Imacec "Monthly Activity Index"
label var ln_Imacecminero "Mining Index"
label var ln_Imacecnominero "Non-Mining Index"
tsline ln_*, title("Economic Activity") ytitle("Log Index") xlabel(715(4)732) xtick(715(1)732) ///
ylabel(-0.20(0.04)0) ytick(-0.20(0.01)0) graphregion(fcolor(white)) saving("$path_g\graph1.gph", replace)

clear
import excel "$path_d\\colocaciones_bancos_vs0.xls", sheet("ExportCuadro") firstrow
capture drop G
rename Periodo date_day  
format %td date_day
g year=year(date_day)
g month=month(date_day)
g day=day(date_day)
drop date_day day
g date_month=ym(year,month)
format %tm date_month
drop if year<2019
drop if year==2019 & month<8   //drop if year==2021 % month>=2
tsset date_month
label var date_month "Month"
quietly  {
foreach var of varlist Total Comerciales Consumo Vivienda Comercio_exterior {  
sum `var' if year==2019 & month==8
local r1=r(min)
g ln_`var'=ln(`var'/`r1')
}
}
label var ln_Total "Total banking credit (Stock)"
label var ln_Comerciales "Commercial debt"   // credit
label var ln_Consumo "Consumer credit"
label var ln_Vivienda "Mortgages"
label var ln_Comercio_exterior "Foreign trade credit"
drop ln_Comercio_exterior
tsline ln_*, title("Bank credit (stock)") ytitle("Log Index", size(medium) margin(medsmall)) xlabel(715(4)733) xtick(715(1)733) legend(cols(2) symx(5) symy(2)) /// medium medlarge
ylabel(-0.16(0.04)0.12) ytick(-0.18(0.01)0.13) graphregion(fcolor(white)) saving("$path_g\graph2.gph", replace)
graph combine "$path_g\graph1.gph" "$path_g\graph2.gph", `G2'
graph export "$path_g\Chilean_BankCredit_aug2019_march2020.emf", replace

clear
import excel "$path_d\IPSA - apertura.xlsx", sheet("Bloomberg (diario)") firstrow
rename A date_day  //generate date_day = date(A, "YMD")
format %td date_day
drop if IPSA==.
destring MALLPLAZCIEquity, replace force
describe, short
tsset date_day
g year=year(date_day)
g month=month(date_day)
g day=day(date_day)
order date year month day, first
drop if year<2019
drop if year==2019 & month<10
drop if year==2019 & month==10 & day<16
save "$path_d\IPSA.dta", replace
quietly  {
foreach var of varlist IPSAIndex AESGENERCIEquity-MALLPLAZCIEquity {  //AESGENERCIEquity-MALLPLAZCIEquity  //IPSAIndex-MALLPLAZCIEquity
sum `var' if year==2019 & month==10 & day==16
local r1=r(min)
g ln_R_`var'=ln(`var'/`r1')
}
}
rename ln_R_IPSAIndex ln_IPSA_R
label var date_day "Day"
label var ln_IPSA_R "Chilean Stock Index: IPSA"
local days "21838(90)22313"  //"21838 21898 21952 21990" // 22019
local yL "-2 -1.5 -1 -0.75 -0.5 -0.25 0 0.25 0.5 0.75"  // -2.25(0.25)0.75
local yL2 "-2 -1.5 -1 -0.75 -0.5 -0.25 -0.125 0 0.25 0.375 0.5 0.625 0.75"  //  -2.375(0.125)0.75
tsline ln_IPSA_R, title("Chilean Stock Index (IPSA)") ytitle("Log Index") xlabel(`days') xtick(21838(30)22031) ///
ylabel(-0.6(0.1)0) ytick(-0.6(0.05)0) saving("$path_g\graph1.gph", replace) graphregion(fcolor(white))
tsline ln_R*, title("41 individual stocks") ytitle("Log Index") legend(off) xlabel(`days') xtick(21838(30)22031) ///
ylabel(-2.25(0.5)0.75) ytick(-2.375(0.125)0.75) saving("$path_g\graph2.gph", replace) graphregion(fcolor(white))
graph combine "$path_g\graph1.gph" "$path_g\graph2.gph", `G2'
graph export "$path_g\Chilean_stocks_17Oct19_4May20.emf", replace
