local LabST = 135  // 115 135 155 `LabST'

foreach var of varlist ytot_ind ing {  // unemp_sect ing rci_pend_75 us_rci_75 debt_pi_ratio
g `var'_original = `var' 
}
log using "$path_g\JobFind_Layoff_stress.log", replace
quietly g pr_jobfind_115 = (100/115)*pr_jobfind_100
quietly g d_pr_jobfind_115 = (115/100)*d_pr_jobfind_100
quietly g d_pr_layoffs_115 = (115/100)*d_pr_layoffs_100
quietly g pr_jobfind_155 = (100/155)*pr_jobfind_100
quietly g d_pr_jobfind_155 = (155/100)*d_pr_jobfind_100
quietly g d_pr_layoffs_155 = (155/100)*d_pr_layoffs_100
quietly g pr_jobfind_135 = (100/135)*pr_jobfind_100
quietly g d_pr_jobfind_135 = (135/100)*d_pr_jobfind_100
quietly g d_pr_layoffs_135 = (135/100)*d_pr_layoffs_100
quietly g d_unemployed_135_WH=(135/100)*d_unemployed_100_WH
quietly g d_unemployed_155_WH=(155/100)*d_unemployed_100_WH

sum layoffs_sect [fw=${factor_op}]  // 70 80 85 95 100 115  ${factor_op} factor_egm
sum jobfind [fw=${factor_op}] 
foreach i of numlist 60 70 80 85 95 100 115 { //  
sum d_pr_lay*`i' [fw=${factor_op}]
sum d_pr_jobf*`i' [fw=${factor_op}]
}
log close

// Mitigadores
/*Medidas de mitigación anunciadas/implementadas por el Gobierno y Banca
Done! Bono Covid-19: bono equivalente al bono de Subsidio Único Familiar (SUF), el cual beneficiará a 2 millones de personas sin trabajo formal.
Done! Ley de Protección de Empleo
Done! Reducción transitoria del impuesto timbre y estampillas a 0% para todas las operaciones de crédito durante los próximos 6 meses.
Done! Medidas de alivio para el tratamiento de deudas tributarias con la Tesorería General de la República focalizadas en personas de menores ingresos. 
Done! Postergación pago de contribuciones de abril para personas con propiedades con avaluó fiscal inferior a $133 millones (EPF – 2% del ingreso mensual).
Done! Postergación pago de servicios básicos (EPF - 19% del ingreso mensual)
Done! Postergación de cuotas en créditos en cuotas y rotativos (registro de crédito)*/

/* Done! En concreto, el Ingreso Mínimo Garantizado es un subsidio que asciende a $59.200 para quienes ganan el salario mínimo vigente hasta 
el 29 de febrero de este año, de $301.000 brutos, lo que les permite alcanzar un monto bruto de $360.200 y con ello un monto líquido de $300.000 
a fin de mes. Además, el beneficio se extiende decrecientemente a aquellos que ganan hasta $384.363. */

/*replace c1 = (c1>=2 & c1<=3)
replace c10 = (c10>=2 & c10<=3)
g u0=uniform()
replace c1 = (u0<=c1)
replace c1 = 2*c1
g u1=uniform()
replace c10 = (u1<=c10)
replace c10 = 2*c10
g u2=uniform()
replace Informal_T=(u2<=Informal_T)
drop _merge u0 u1 u2*/

g LFP=lfp 
g LMGi = min(384363, ytot_ind+59200) if ytot_ind>=250000 & ytot_ind<=384363 & c10>=1 & c10<=2 // 45.353 or 59200
bysort folio_efh year_efh: egen LMG=max(LMGi)
replace ytot_ind = ytot_ind + max(0,LMGi)

log using "$path_g\Mitigadores.log", replace
sum Informal_T [fw=factor_egm]
sum Informal_T if desem<. [fw=factor_egm]
sum Informal_T if ytot_ind>0 & ytot_ind <. [fw=factor_egm]
sum Informal_T if ytot_ind>0 & ytot_ind <. & desem<. [fw=factor_egm]

g COVi_sh = uniform() if c10>=1 & c10<=2 & ytot_ind>=250000 & ytot_ind<.  // Workers with plant closed
replace COVi_sh = (COVi_sh<0.05) if COVi_sh<.
g COV2i_sh = uniform() if COVi_sh==0  // Workers on 50% hour schedule
replace COV2i_sh = (COV2i_sh<0.05) if COV2i_sh<.
g Covi_un = uniform() if c10<1 & LFP==1
replace Covi_un = (Covi_un<d_pr_layoffs_`LabST') if Covi_un<.
g dur_unem = .  // Unemployment duration
forv d=1/3 {
g dur_unem0 = uniform() if COVi_sh==1 | Covi_un==1
replace dur_unem = `d' if dur_unem0<pr_jobfind_`LabST' & dur_unem==. & (COVi_sh==1  | Covi_un==1)
drop dur_unem0
}
replace dur_unem = 4 if dur_unem==. & (COVi_sh==1  | Covi_un==1)
g COVi_loss = ytot_ind_original*0.40 if dur_unem==1 // 40% income
replace COVi_loss = ytot_ind_original*0.50 if dur_unem==2 
replace COVi_loss = ytot_ind_original*0.67 if dur_unem==3 
replace COVi_loss = ytot_ind_original*0.82 if dur_unem==4 //replace COVi_loss = dur_unem*COVi_loss if dur_unem>=2 & dur_unem<=4 & (COVi_sh==1  | Covi_un==1)
replace COVi_loss = ytot_ind_original*0.30 if COV2i_sh==1
*replace COVi_loss = dur_unem*COVi_loss if COVi_sh==1 & dur_unem>=2 & dur_unem<=4
bysort folio_efh year_efh: egen COV_loss=total(COVi_loss)
g R_COV_loss=COV_loss/ytoth
g Ri_COV_loss=COVi_loss/ytot_ind_original
replace ing = ln( exp(ing) + max(0,LMG) ) if LMG>0 & LMG<.
replace ing = max(1, ln( exp(ing) - COV_loss )) if COV_loss>0 & COV_loss<.
foreach var of varlist ytoth ytoth_pi yefec ytotef { // ytot_p_h ytotef yefec
replace `var' = `var' + max(0,LMG) if LMG>0 & LMG<.
replace `var' = max(1000, `var' - max(0,COV_loss)) if COV_loss>0 & COV_loss<.
} 
g adj=max(1, exp(ing_original)/exp(ing)) if a1==1   
g adj2=max(1, 4*exp(ing_original)/ (3*exp(ing_original)+exp(ing)) )  if a1==1
replace rci_pend_75 = min( 1.5, rci_pend_75*adj ) if rci_pend_75<.  
replace debt_pi_ratio = min(2, debt_pi_ratio*adj2) if debt_pi_ratio<.

if ${Mit}==1 {  // Note that minimum wage in 2017 was 264.000, therefore I use 250.000 to determine possible beneficiaries
capture g ytot_ind_original= ytot_ind
do "$path_bs_do\SUF_IFE.do" 

// Ley de Protección de Empleo
g COVi_loss2 = max(0, COVi_loss - ytot_ind_original*0.40) if COVi_sh==1 & dur_unem>=2 & dur_unem<=4
replace COVi_loss2 = min(COVi_loss, ytot_ind_original*0.30) if COVi_sh==2 
bysort folio_efh year_efh: egen COV_LPE=total(COVi_loss2)  //replace COV_LPE = max(0, COV_loss-COV_LPE)

// Reducción de impuesto de timbre y estampillas
g BImpTE = 0.00033*( max(0,cf_td1) + max(0,cf_td2) + max(0,cf_td3) )

// Medidas de alivio para el tratamiento de deudas tributarias con la Tesorería General de la República
// Suspensión del pago de IVA en 3 meses
g BTi = 0.19*ytot_ind_original if quintile_h<=3 & c1>=2 & c1<=3
bysort folio_efh year_efh: egen BT=total(BTi)

// Postergación pago de contribuciones de abril para empresas con ventas inferiores a 350.000 UFy para personas con propiedades 
// con avalúo fiscal inferior a $133 millones.
g act_vp_BC = (act_vp<133000000) if act_vp>0 & act_vp<.
g act_otp_BC = (act_otp<133000000) if act_otp>0 & act_otp<.
g BContr = (0.00025/3)*(  max(0,act_vp)*max(0,act_vp_BC)  +  max(0,act_otp)*max(0,act_otp_BC)  )

// Postergación pago de servicios básicos (EPF - min de 19% del ingreso mensual y 80 mil pesos)
g Bservb = min(0.19*ytot_p_h , 95000)

// Postergación de cuotas en créditos en cuotas y rotativos
g Bpcuotas = max(0,cf_td5)+max(0,cf_td6)+max(0,cf_hip)  // sum cf_dna cf_dt cf_dtot cf_hip if year_efh==2017
g TL_EFS=1  // renegociación de tarjetas/lineas 
replace Bpcuotas = max(0,Bpcuotas) + ( (1/2)*max(0,cf_td1) + (1/3)*max(0,cf_td2)  ) //if TL_EFS==1
replace Bpcuotas = 0 if df_Vall==1 //replace Bpcuotas = 0 if df_dna_k3==1 | df_Vall==1   // households already in default after 90 days do not get the bank benefits
g extraD = 3*Bpcuotas   // rda debt_pi_ratio rci_pend_75
g extraDcons = 3*( max(0,cf_td5)+max(0,cf_td6) )

egen BmprSTax = rowtotal(d_td1 d_td2 d_td3)
replace BmprSTax = (0.0125+0.005)*BmprSTax
// Total Income and Financial Charge Benefits
g TincB = max(0,SUF) + max(0,COV_LPE)  + max(0,Bservb) + max(0,IFE) + max(0,BCmedia)
g TtaxMPR = max(0,BContr) + max(0,BT) + max(0,BmprSTax) + max(0,BImpTE) 
g ToTBcf = max(0,Bpcuotas)  // + max(0,BImpTE) + max(0,pCmedia)+ max(0,ymR10)
g ToTBcf_2 = max(0,Bpcuotas)+ max(0,pCmedia)+ max(0,ymR10)  // + max(0,BImpTE) 
if ${Inc_CF}==1 { 
replace IFE=0
replace ToTBcf=0
}
g TotBinc = max(0,IFE)+max(0,SUF)+max(0,COV_LPE)+max(0,BT)+max(0,BContr)+max(0,Bservb)+max(0,BCmedia)+max(0,pCmedia)+max(0,ymR10) //+max(0,BImpTE)+max(0,Bpcuotas)
g TotBall = max(0,TincB)+max(0,TtaxMPR)+max(0,ToTBcf)
if ${Inc_CF}==2 { 
replace TotBinc=0
}
if ${Inc_CF}==3 { 
replace TotBinc=0
replace ToTBcf=0
}
//

// Change debt ratios
replace rci_pend_75 = max(0,  min(1.5, rci_pend_75-max(0,ToTBcf/max(1,ytoth)) ) )  if rci_pend_75>0 & rci_pend_75<.
replace debt_pi_ratio = max(0, min(2,  debt_pi_ratio + max(0, extraDcons/(12*max(1,ytot_p_h)) ) ) ) if debt_pi_ratio>0 & debt_pi_ratio<.
replace rda = rda + max(0, extraD/max(1,act_totact) )

//  Now change income
replace ing = max(ing, ln( exp(ing) + max(0,TotBinc) )) if TotBinc>0 & TotBinc<.
foreach var of varlist ytoth yefec ytotef { // ytot_p_h ytotef yefec
replace `var' = `var' + max(0,TotBinc) if TotBinc>0 & TotBinc<.
}
//  Benefits over Permanent Income
replace TotBinc = . if TotBinc<=1 
replace ToTBcf = . if ToTBcf<=1 
g r_ToTBcf = ToTBcf_2/max(1,ytot_p_h)  // ToTBcf/max(1,ytot_p_h)
g r_ToTBcf0 = ToTBcf/max(1,ytot_p_h)  
g r_TotBinc = TotBinc/max(1,ytot_p_h)
g r_TotBall = TotBall/max(1,ytot_p_h)
g r_TincB = TincB/max(1,ytot_p_h)
g r_TtaxMPR = TtaxMPR/max(1,ytot_p_h)
}
log close

log using "$path_g\Mitigadores_summary.log", replace
if ${Mit}==1 { 
sum a1 if year_efh==2017 & a1==1 [fw=factor_egm]
sum r_TincB r_ToTBcf r_TtaxMPR r_TotBinc r_TotBall if year_efh==2017 & a1==1 [fw=factor_egm], d  // TotBinc ToTBcf
sum act_vp_BC act_otp_BC if year_efh==2017 & a1==1 [fw=factor_egm] 

forv k2=1/5 {
display("Quintile_h: `k2'")
sum a1 if year_efh==2017 & a1==1 & quintile_h==`k2' [fw=factor_egm]
sum r_TincB r_ToTBcf r_TtaxMPR r_TotBinc r_TotBall if year_efh==2017 & a1==1 & quintile_h==`k2' [fw=factor_egm] , d
sum act_vp_BC act_otp_BC if year_efh==2017 & a1==1 & quintile_h==`k2' [fw=factor_egm] 
}
}
log close
capture drop ytot_ind_original dur_unem ing_original adj adj2
g Deudor_cuotas = max(0,cf_td4) + max(0,cf_td5) + max(0,cf_td6) + max(0,cf_hip) + max(0,d_td4) + max(0,d_td5) + max(0,d_td6) + max(0,d_chhip) 
g Deudor_cf = Deudor_cuotas + max(0,cf_td1) + max(0,cf_td2) + max(0,cf_td3) + max(0,cf_td7) + max(0,d_dna)
replace Deudor_cuotas = (Deudor_cuotas>0 & Deudor_cuotas<.)
replace Deudor_cf = (Deudor_cf>0 & Deudor_cf<.)
g FI=ceil(factor_egm*max(1,ytot_p_h)/UFe)
if ${Mit}==1 { 
replace TotBinc = TotBinc/UFe
replace ToTBcf = ToTBcf/UFe
replace TotBall = TotBall/UFe
}
save "$path_g\\Covid_ST.dta", replace
log using "$path_g\Mitigadores_summary_UF.log", replace
if ${Mit}==1 { 
foreach var of varlist act_vp_BC act_otp_BC TotBinc ToTBcf { 
replace `var' = 0 if `var'==.
}
sum a1 if year_efh==2017 & a1==1 [fw=factor_egm]
sum TincB TtaxMPR ToTBcf_2 TotBall if year_efh==2017 & a1==1 [fw=factor_egm], d  // TotBinc ToTBcf
sum act_vp_BC act_otp_BC if year_efh==2017 & a1==1 [fw=factor_egm] 

forv k2=1/5 {
display("Quintile_h: `k2'")
sum a1 if year_efh==2017 & a1==1 & quintile_h==`k2' [fw=factor_egm]
sum TincB TtaxMPR ToTBcf_2 TotBall if year_efh==2017 & a1==1 & quintile_h==`k2' [fw=factor_egm], d
sum act_vp_BC act_otp_BC  if year_efh==2017 & a1==1 & quintile_h==`k2' [fw=factor_egm] 
}
}
log close

use "$path_g\\Covid_ST.dta", clear
