local dfVars "hor_efe unemployed layoffs jobfind"   //local dfVars0 "hor_hab hor_efe"
local dfVars1 "unemployed layoffs hor_efe"
local dfVars2 "unemployed layoffs"  // jobfind  hor_efe
quietly {   // Mid March stress test
foreach df of local dfVars1 { 
g Cov_`df'=ES_`df'  // rename `df' ES_`df'
}
replace month_p=3  
joinby year_p month_p sexo tr_edad educ using "$path_gCJE\SE_Covid_perLabM.dta", unmatched(master) update
foreach df of local dfVars1 { 
replace Cov_`df' = (3/5)*`df' + (2/5)*Cov_`df' 
} 
bysort folio_efh year_efh: egen Cov_unH0 = mean(Cov_unemployed)
g var0 = sh_inc*Cov_unemployed
bysort folio_efh year_efh: egen Cov_unH = mean(var0)
replace d_unemployed_85_WH = max(d_unemployed_85_WH, Cov_unH0, Cov_unH)
replace d_unemployed_85 = max(d_unemployed_85, Cov_unemployed)
replace pr_jobfind_85 = min(pr_jobfind_85, ES_jobfind)
drop _merge var0 Cov_unH0 Cov_unH //`dfVars'
}
//   //    //
quietly {   // Mid April stress test
foreach df of local dfVars2 { 
replace Cov_`df' = max( Cov_`df', `df')
}
capture drop `dfVars'
replace month_p=4   
joinby year_p month_p sexo tr_edad educ using "$path_gCJE\SE_Covid_perLabM.dta", unmatched(master) update
foreach df of local dfVars1 { 
replace Cov_`df' = (3/5)*`df' + (2/5)*Cov_`df' 
}
bysort folio_efh year_efh: egen Cov_unH0 = mean(Cov_unemployed)
g var0 = sh_inc*Cov_unemployed
bysort folio_efh year_efh: egen Cov_unH = mean(var0)
replace d_unemployed_100_WH = max(d_unemployed_100_WH, Cov_unH0, Cov_unH)
replace d_unemployed_100 = max(d_unemployed_100, Cov_unemployed)
replace pr_jobfind_100 = min(pr_jobfind_100, ES_jobfind)
drop _merge var0 Cov_unH0 Cov_unH //`dfVars'
}
//  //   //
quietly {   // May-June-July stress test
foreach df of local dfVars2 { 
replace Cov_`df' = max( Cov_`df', `df')
}
capture drop `dfVars'
forv num=5/7  {
replace month_p=`num'  
joinby year_p month_p sexo tr_edad educ using "$path_gCJE\SE_Covid_perLabM.dta", unmatched(master) update
drop _merge
foreach df of local dfVars1 { 
replace Cov_`df' = max( Cov_`df', `df')
}
}
/*forv num=5/7  {
replace month_p=`num'  
joinby year_p month_p sexo tr_edad educ using "$path_gCJE\SE_Covid_perLabM.dta", unmatched(master) update
drop _merge
foreach df of local dfVars1 { 
rename `df' v`num'_`df' 
}
}
foreach df of local dfVars1 { 
egen var0 = rowmean(v5_`df' v6_`df' v7_`df')
replace Cov_`df' = max( Cov_`df', var0)
drop var0
}
capture drop v5_* v6_* v7_* jobfind*/

bysort folio_efh year_efh: egen Cov_unH0 = mean(Cov_unemployed)
g var0 = sh_inc*Cov_unemployed
bysort folio_efh year_efh: egen Cov_unH = mean(var0)
replace d_unemployed_135_WH = max(d_unemployed_135_WH, Cov_unH0, Cov_unH)
replace d_unemployed_135 = max(d_unemployed_135, Cov_unemployed)
replace pr_jobfind_135 = min(pr_jobfind_135, ES_jobfind)
drop var0 Cov_unH0 Cov_unH  //`dfVars'
}
//  //   //
quietly {   // August stress test
capture drop `dfVars'
replace month_p=8  
joinby year_p month_p sexo tr_edad educ using "$path_gCJE\SE_Covid_perLabM.dta", unmatched(master) update
foreach df of local dfVars1 { 
replace Cov_`df' = min( Cov_`df', `df')
}
bysort folio_efh year_efh: egen Cov_unH0 = mean(Cov_unemployed)
g var0 = sh_inc*Cov_unemployed
bysort folio_efh year_efh: egen Cov_unH = mean(var0)
egen d_unemployed_125_WH = rowmean(d_unemployed_115_WH d_unemployed_135_WH)
egen d_unemployed_125 = rowmean(d_unemployed_115 d_unemployed_135)
egen pr_jobfind_125 = rowmean(pr_jobfind_115 pr_jobfind_135)
replace d_unemployed_125_WH = max(d_unemployed_125_WH, Cov_unH0, Cov_unH)
replace d_unemployed_125 = max(d_unemployed_125, Cov_unemployed)
replace pr_jobfind_125 = min(pr_jobfind_125, ES_jobfind)
drop _merge var0 Cov_unH0 Cov_unH  `dfVars'
}
//  //   //
quietly {   // September-December stress test
capture drop `dfVars'
forv num=9/12  {
replace month_p=`num'  
joinby year_p month_p sexo tr_edad educ using "$path_gCJE\SE_Covid_perLabM.dta", unmatched(master) update
drop _merge
foreach df of local dfVars1 { 
rename `df' v`num'_`df' 
}
}
foreach df of local dfVars1 { 
egen var0 = rowmean(v9_`df' v10_`df' v11_`df' v12_`df')
replace Cov_`df' = min( Cov_`df', var0)
drop var0
}
capture drop v9_* v10_* v11_* v12_* jobfind
egen d_unemployed_105_WH = rowmean(d_unemployed_100_WH d_unemployed_115_WH)
egen d_unemployed_105 = rowmean(d_unemployed_100 d_unemployed_115)
egen pr_jobfind_105 = rowmean(pr_jobfind_100 pr_jobfind_115)
replace d_unemployed_105_WH = min(d_unemployed_100_WH*1/3 + d_unemployed_115_WH*2/3, d_unemployed_105_WH)
replace d_unemployed_105 = min(d_unemployed_100*1/3 + d_unemployed_115*2/3, d_unemployed_105)
replace pr_jobfind_105 = max(pr_jobfind_100*1/3 + pr_jobfind_115*2/3, pr_jobfind_105 )

bysort folio_efh year_efh: egen Cov_unH0 = mean(Cov_unemployed)
g var0 = sh_inc*Cov_unemployed
bysort folio_efh year_efh: egen Cov_unH = mean(var0)
replace d_unemployed_105_WH = max(d_unemployed_105_WH, Cov_unH0, Cov_unH)
replace d_unemployed_105 = max(d_unemployed_105, Cov_unemployed)
replace pr_jobfind_105 = min(pr_jobfind_105, ES_jobfind)
drop var0 Cov_unH0 Cov_unH 
}
//  //   //
