use "$path_g\\${data_save}_dtbc2.dta", clear
keep if a1==1 & year_efh==2017
sum ing* ytot*
replace ing = max(ing, ln(ytoth) )
g lnP = ln(ytot_p_h)
local bw0=0.061 
local yxL = "ylab(0(0.1)0.6) ytic(0(0.05)0.6) xlab(7(2)17) xtic(7(0.5)17)"
sum ing lnP [fw=${factor17}]
pwcorr ing lnP [fw=${factor17}]
twoway (kdensity ing  [fw=${factor17}], bw(`bw0') `yxL' ) ///
(kdensity lnP  [fw=${factor17}], bw(`bw0') `yxL' ) , ///
legend(label(1 "Current income") label(2 "Permanent Income") region(lcolor(white)) rows(1)) ytitle("PDF") xtitle("Monthly income (in log)") 
graph export "$path_gCJE\Yinc_Pinc.emf", replace

use "$path_g\\${data_save}_dtbc3.dta", clear // "$path_g\\${data_save}_dtbc2.dta"
capture drop dc_p90 dr1-dr3_cc2
qreg ln_dna ln_gastos ytoth_pi i.(zona2 num_adult tr_edad2 vivprop tedu) i.(year) if a1==1 & d_dna>0 & d_dna<., q(${PcdebtCS}) nolog // ln_dna d_dna simu_exp_efh
predict dc_p90 if a1==1 
replace dc_p90=exp(dc_p90)
g dr1 = (expenses1>exp(ing) & d_dna>dc_p90) if a1==1 & d_dna<. //& df_dna<. //debt_renewal1
g dr2 = (expenses2>exp(ing) & d_dna>dc_p90) if a1==1 & d_dna<. //& df_dna<. //debt_renewal2
g dr3 = (expenses3>exp(ing) & d_dna>dc_p90) if a1==1 & d_dna<. //& df_dna<. //debt_renewal3
g dr1_cc2 = (expenses1>exp(ing) & d_dna>${PcdebtCS}*dc_p90) if a1==1 & d_dna<. //& df_dna<. //debt_renewal1
g dr2_cc2 = (expenses2>exp(ing) & d_dna>${PcdebtCS}*dc_p90) if a1==1 & d_dna<. //& df_dna<. //debt_renewal2
g dr3_cc2 = (expenses3>exp(ing) & d_dna>${PcdebtCS}*dc_p90) if a1==1 & d_dna<. //& df_dna<. //debt_renewal3
keep if a1==1
keep folio_efh year_efh dc_p90 dr1-dr3_cc2
save "$path_g\\CredCons.dta", replace

use "C:\Docs2\EFH_CDI\Stress_test_probit\graphs\\${data_save}_dtbc.dta", clear  //  ${data_save}_dtbc2.dta // "$path_g\\${data_save}_dtbc2.dta"
foreach var of varlist unemp_sect ytot_ind ing rci_pend_75 us_rci_75 debt_pi_ratio {
rename `var' `var'_original
}
keep folio_efh year_efh a1 ord *original
save "$path_g\\EFH_Sep2019.dta", replace  /*use "$path_g\\Riot_Covid_ST.dta", clear   keep folio_efh year_efh a1 ord *original save "$path_g\\EFH_Sep2019.dta", replace*/
use "$path_g\\${data_save}_dtbc3.dta", clear
keep folio_efh year_efh a1 ord *original
keep if year==2017
compress
save "$path_g\\EFH_Oct2019.dta", replace

if ${Mit}==1 {
use "$path_g\\Covid_ST.dta", clear
g IFE_MA = max(50000, 50000*num_men) if quintile_h<=3 & hog_c10>2 & a1_edad<65  // SUF in March-April
g IFE_May = 65000*numh if quintile_h<=2 & Hing_inf>=0.5 & Hing_inf<=1 & numh<=4  //& hog_c10>2
replace IFE_May = 304000 if quintile_h<=2 & Hing_inf>=0.5 & Hing_inf<=1 & numh==5  //& hog_c10>2
replace IFE_May = 345000 if quintile_h<=2 & Hing_inf>=0.5 & Hing_inf<=1 & numh==6  //& hog_c10>2
replace IFE_May = 385000 if quintile_h<=2 & Hing_inf>=0.5 & Hing_inf<=1 & numh==7  //& hog_c10>2
replace IFE_May = 422000 if quintile_h<=2 & Hing_inf>=0.5 & Hing_inf<=1 & numh==8  //& hog_c10>2
replace IFE_May = 459000 if quintile_h<=2 & Hing_inf>=0.5 & Hing_inf<=1 & numh==9  //& hog_c10>2
replace IFE_May = 494000 if quintile_h<=2 & Hing_inf>=0.5 & Hing_inf<=1 & numh>=10 & numh<. //& hog_c10>2
replace IFE_May = 43333*numh if quintile_h==3 & Hing_inf>=0.5 & Hing_inf<=1 & numh<=4  //& hog_c10>2
replace IFE_May = 202667 if quintile_h==3 & Hing_inf>=0.5 & Hing_inf<=1 & numh==5  //& hog_c10>2
replace IFE_May = 230000 if quintile_h==3 & Hing_inf>=0.5 & Hing_inf<=1 & numh==6  //& hog_c10>2
replace IFE_May = 256667 if quintile_h==3 & Hing_inf>=0.5 & Hing_inf<=1 & numh==7  //& hog_c10>2
replace IFE_May = 281333 if quintile_h==3 & Hing_inf>=0.5 & Hing_inf<=1 & numh==8  //& hog_c10>2
replace IFE_May = 306000 if quintile_h==3 & Hing_inf>=0.5 & Hing_inf<=1 & numh==9  //& hog_c10>2
replace IFE_May = 329333 if quintile_h==3 & Hing_inf>=0.5 & Hing_inf<=1 & numh>=10 & numh<.  //& hog_c10>2
replace IFE_May = max(0,IFE_May)+32000/3 if quintile_h<=2  // food boxes for 2 lowest income quintiles (one box for 3 months)
if ${IFEb}>=2 { 
g IFE_JJA = IFE
rename IFE_temp IFE0_JJA
}
keep if year==2017
keep if a1==1
keep folio_efh year_efh IFE* COV_LPE BCmedia pCmedia ymR10 Hretiro10P BImpTE BT BContr Bservb Bpcuotas TL_EFS BmprSTax TincB TtaxMPR ToTBcf ToTBcf_2 TotBinc TotBall FI SUF 
capture drop TincB TtaxMPR ToTBcf ToTBcf_2 TotBinc TotBall TL_EFS SUF
save "$path_g\\Covid_policies2020.dta", replace
}
//    //

use "$path_g\\${data_save}_dtbc3.dta", clear
keep if year==2017
keep if a1==1
keep folio_efh year_efh *Liq*
save "$path_g\\data_temp.dta", replace
use "$path_g\\Riot_Covid_ST.dta", clear //use "$path_g\\Covid_ST.dta", clear// Tables of Riot-Covid
keep if year==2017
keep if a1==1
keep folio_efh year_efh yefec* ytoth* ytot_p_h factor_egm cf_td5 cf_td6 rci* cf_dt* cf_dna* rci_pend_75 debt_pi_ratio rda d_dt d_dna estrato_h //noLiqAdummy
joinby folio_efh year_efh using "$path_g\\Covid_policies2020.dta", unmatched (master) update
tab _merge
drop _merge  //global Ii=85  //run "$path_bs_do\SUF_IFE_vs2.do" 
joinby folio_efh year_efh using "$path_g\\data_temp.dta", unmatched(master) update
tab _merge
drop _merge
g ToTBcf_March = max(0,Bpcuotas) + max(0,BmprSTax) + max(0,BImpTE)  
g extraD = 3*Bpcuotas   
g extraDcons = 3*( max(0,cf_td5)+max(0,cf_td6) )
replace extraD = max(0,extraD) + max(0,pCmedia)

g TotBinc_April = max(0,IFE_MA)+max(0,COV_LPE)+max(0,BT)+max(0,BContr)+max(0,Bservb)
g TotBinc_May =  max(0,IFE_May) + max(0,COV_LPE)+max(0,BT)+max(0,BContr)+max(0,Bservb)
g TotBinc_JuneJuly = max(0,IFE_JJA) + max(0,COV_LPE)+max(0,BT)+max(0,BContr)+max(0,Bservb)
g TotBinc_JuneJulyAugust = max(0,IFE_JJA) + max(0,COV_LPE)+max(0,BT)+max(0,BContr)+max(0,Bservb)+max(0,BCmedia)+ max(0,pCmedia/3) //+max(0,ymR10)
g Retiro_Dr = max(0,Hretiro10P)/d_dt 
g a4=min(rci_dt*ytoth, rci_dtot*ytoth) if rci_dt<. & rci_dtot<.
g DSIR_DS = max(0,ToTBcf_March)/max(cf_dt,rci_pend_75*ytoth, a4)
replace DSIR_DS = min(1,DSIR_DS) if DSIR_DS<.   //sum DSIR_DS, d  //drop TotBinc_MayJuneJuly

foreach var of varlist DSIR_DS Retiro_Dr {
g p25_`var' = `var' 
g p50_`var' = `var' 
g p75_`var' = `var' 
}
foreach var of varlist Hretiro10P ToTBcf_March TotBinc_* { // ytot_p_h ytotef yefec r_TincB r_ToTBcf r_TtaxMPR r_TotBinc r_TotBall
replace `var' = max(0,`var')/max(1,ytot_p_h,ytoth)
g p25_`var' = `var' 
g p50_`var' = `var' 
g p75_`var' = `var' 
}
save "$path_g\\data_temp.dta", replace
collapse (mean) DSIR_DS Retiro_Dr Hretiro10P ToTBcf_March TotBinc_* (p25) p25_* (p50) p50_* (p75) p75_* [fw=factor_egm]
g estrato_h = 0
save "$path_g\\data_temp0.dta", replace
export excel using "$path_gCJE\\CovidPolicies_all.xls", firstrow(variables) nolabel replace
use "$path_g\\data_temp.dta", clear
collapse (mean) DSIR_DS Retiro_Dr Hretiro10P ToTBcf_March TotBinc_* (p25) p25_* (p50) p50_* (p75) p75_* [fw=factor_egm], by(estrato_h)
joinby estrato_h using "$path_g\\data_temp0.dta", unmatched(both) update
drop _merge
order *DSIR_DS* *Retiro_Dr* *Hretiro10P* *ToTBcf_March* *TotBinc_April* *TotBinc_May* *TotBinc_JuneJulyAugust* *TotBinc_JuneJuly*, first
export excel using "$path_gCJE\\CovidPolicies_Est.xls", firstrow(variables) nolabel replace
